
# Data Propagation Report

- **STAT1** : Number of instructions that hit unique coverpoints and update the signature.
- **STAT2** : Number of instructions that hit covepoints which are not unique but still update the signature
- **STAT3** : Number of instructions that hit a unique coverpoint but do not update signature
- **STAT4** : Number of multiple signature updates for the same coverpoint
- **STAT5** : Number of times the signature was overwritten

| Param                     | Value    |
|---------------------------|----------|
| XLEN                      | 32      |
| TEST_REGION               | [('0x800000f8', '0x800031c0')]      |
| SIG_REGION                | [('0x80005010', '0x80005930', '584 words')]      |
| COV_LABELS                | and      |
| TEST_NAME                 | /scratch/git-repo/incoresemi/riscof/riscof_work/and-01.S/and-01.S    |
| Total Number of coverpoints| 730     |
| Total Coverpoints Hit     | 730      |
| Total Signature Updates   | 584      |
| STAT1                     | 582      |
| STAT2                     | 2      |
| STAT3                     | 0     |
| STAT4                     | 0     |
| STAT5                     | 0     |

## Details for STAT2:

```
Op without unique coverpoint updates Signature
 -- Code Sequence:
      [0x800003f8]:and a2, a0, a1
      [0x800003fc]:sw a2, 88(sp)
 -- Signature Address: 0x800050b4 Data: 0xBFFFFFFD
 -- Redundant Coverpoints hit by the op
      - opcode : and
      - rs1 : x10
      - rs2 : x11
      - rd : x12
      - rs1 != rs2  and rs1 != rd and rs2 != rd
      - rs1_val < 0 and rs2_val < 0
      - rs1_val != rs2_val
      - rs2_val == -3
      - rs1_val == -1073741825




Op without unique coverpoint updates Signature
 -- Code Sequence:
      [0x8000319c]:and a2, a0, a1
      [0x800031a0]:sw a2, 204(sp)
 -- Signature Address: 0x80005928 Data: 0x00000000
 -- Redundant Coverpoints hit by the op
      - opcode : and
      - rs1 : x10
      - rs2 : x11
      - rd : x12
      - rs1 != rs2  and rs1 != rd and rs2 != rd
      - rs1_val != rs2_val
      - rs1_val == 0
      - rs2_val == 512






```

## Details of STAT3

```


```

## Details of STAT4:

```

```

## Details of STAT5:



## Details of STAT1:

- The first column indicates the signature address and the data at that location in hexadecimal in the following format: 
  ```
  [Address]
  Data
  ```

- The second column captures all the coverpoints which have been captured by that particular signature location

- The third column captures all the insrtuctions since the time a coverpoint was
  hit to the point when a store to the signature was performed. Each line has
  the following format:
  ```
  [PC of instruction] : mnemonic
  ```
- The order in the table is based on the order of signatures occuring in the
  test. These need not necessarily be in increasing or decreasing order of the
  address in the signature region.

|s.no|        signature         |                                                                                coverpoints                                                                                |                               code                                |
|---:|--------------------------|---------------------------------------------------------------------------------------------------------------------------------------------------------------------------|-------------------------------------------------------------------|
|   1|[0x80005010]<br>0x00000000|- opcode : and<br> - rs1 : x24<br> - rs2 : x25<br> - rd : x25<br> - rs2 == rd != rs1<br> - rs1_val > 0 and rs2_val > 0<br> - rs1_val != rs2_val<br> - rs1_val == 16384<br> |[0x80000108]:and s9, s8, s9<br> [0x8000010c]:sw s9, 0(t1)<br>      |
|   2|[0x80005014]<br>0x00000800|- rs1 : x3<br> - rs2 : x3<br> - rd : x18<br> - rs1 == rs2 != rd<br> - rs1_val == rs2_val<br> - rs2_val == 2048<br> - rs1_val == 2048<br>                                   |[0x80000120]:and s2, gp, gp<br> [0x80000124]:sw s2, 4(t1)<br>      |
|   3|[0x80005018]<br>0xFFFFFFFD|- rs1 : x19<br> - rs2 : x19<br> - rd : x19<br> - rs1 == rs2 == rd<br> - rs1_val < 0 and rs2_val < 0<br> - rs2_val == -3<br> - rs1_val == -3<br>                            |[0x80000130]:and s3, s3, s3<br> [0x80000134]:sw s3, 8(t1)<br>      |
|   4|[0x8000501c]<br>0x7FFFFFFF|- rs1 : x5<br> - rs2 : x14<br> - rd : x5<br> - rs1 == rd != rs2<br> - rs1_val < 0 and rs2_val > 0<br> - rs2_val == (2**(xlen-1)-1)<br> - rs2_val == 2147483647<br>         |[0x80000144]:and t0, t0, a4<br> [0x80000148]:sw t0, 12(t1)<br>     |
|   5|[0x80005020]<br>0x00000005|- rs1 : x23<br> - rs2 : x16<br> - rd : x20<br> - rs1 != rs2  and rs1 != rd and rs2 != rd<br> - rs1_val==5 and rs2_val==5<br>                                               |[0x80000154]:and s4, s7, a6<br> [0x80000158]:sw s4, 16(t1)<br>     |
|   6|[0x80005024]<br>0x00000000|- rs1 : x20<br> - rs2 : x2<br> - rd : x30<br> - rs1_val > 0 and rs2_val < 0<br> - rs2_val == (-2**(xlen-1))<br> - rs2_val == -2147483648<br> - rs1_val == 2<br>            |[0x80000164]:and t5, s4, sp<br> [0x80000168]:sw t5, 20(t1)<br>     |
|   7|[0x80005028]<br>0x00000000|- rs1 : x7<br> - rs2 : x24<br> - rd : x13<br> - rs2_val == 0<br> - rs1_val==858993459 and rs2_val==0<br>                                                                   |[0x80000178]:and a3, t2, s8<br> [0x8000017c]:sw a3, 24(t1)<br>     |
|   8|[0x8000502c]<br>0x00000001|- rs1 : x30<br> - rs2 : x27<br> - rd : x10<br> - rs2_val == 1<br> - rs1_val == -1073741825<br>                                                                             |[0x8000018c]:and a0, t5, s11<br> [0x80000190]:sw a0, 28(t1)<br>    |
|   9|[0x80005030]<br>0x00000000|- rs1 : x28<br> - rs2 : x18<br> - rd : x22<br> - rs1_val == (-2**(xlen-1))<br> - rs1_val == -2147483648<br>                                                                |[0x800001a0]:and s6, t3, s2<br> [0x800001a4]:sw s6, 32(t1)<br>     |
|  10|[0x80005034]<br>0x00000000|- rs1 : x2<br> - rs2 : x15<br> - rd : x0<br> - rs1_val == 0<br> - rs2_val == 512<br>                                                                                       |[0x800001b0]:and zero, sp, a5<br> [0x800001b4]:sw zero, 36(t1)<br> |
|  11|[0x80005038]<br>0x55555555|- rs1 : x25<br> - rs2 : x26<br> - rd : x12<br> - rs1_val == (2**(xlen-1)-1)<br> - rs2_val == 1431655765<br> - rs1_val == 2147483647<br>                                    |[0x800001c8]:and a2, s9, s10<br> [0x800001cc]:sw a2, 40(t1)<br>    |
|  12|[0x8000503c]<br>0x00000000|- rs1 : x1<br> - rs2 : x31<br> - rd : x2<br> - rs1_val == 1<br>                                                                                                            |[0x800001dc]:and sp, ra, t6<br> [0x800001e0]:sw sp, 44(t1)<br>     |
|  13|[0x80005040]<br>0x00000000|- rs1 : x27<br> - rs2 : x11<br> - rd : x14<br> - rs2_val == 2<br> - rs1_val == 262144<br>                                                                                  |[0x800001ec]:and a4, s11, a1<br> [0x800001f0]:sw a4, 48(t1)<br>    |
|  14|[0x80005044]<br>0x00000004|- rs1 : x31<br> - rs2 : x23<br> - rd : x4<br> - rs2_val == 4<br> - rs1_val == -131073<br>                                                                                  |[0x80000200]:and tp, t6, s7<br> [0x80000204]:sw tp, 52(t1)<br>     |
|  15|[0x80005048]<br>0x00000008|- rs1 : x21<br> - rs2 : x9<br> - rd : x27<br> - rs2_val == 8<br>                                                                                                           |[0x80000214]:and s11, s5, s1<br> [0x80000218]:sw s11, 56(t1)<br>   |
|  16|[0x8000504c]<br>0x00000000|- rs1 : x26<br> - rs2 : x7<br> - rd : x23<br> - rs2_val == 16<br> - rs1_val == 1024<br>                                                                                    |[0x80000224]:and s7, s10, t2<br> [0x80000228]:sw s7, 60(t1)<br>    |
|  17|[0x80005050]<br>0x00000020|- rs1 : x9<br> - rs2 : x20<br> - rd : x24<br> - rs2_val == 32<br>                                                                                                          |[0x80000234]:and s8, s1, s4<br> [0x80000238]:sw s8, 64(t1)<br>     |
|  18|[0x80005054]<br>0x00000040|- rs1 : x15<br> - rs2 : x13<br> - rd : x26<br> - rs2_val == 64<br> - rs1_val == -257<br>                                                                                   |[0x80000244]:and s10, a5, a3<br> [0x80000248]:sw s10, 68(t1)<br>   |
|  19|[0x80005058]<br>0x00000080|- rs1 : x12<br> - rs2 : x4<br> - rd : x17<br> - rs2_val == 128<br> - rs1_val == -33554433<br>                                                                              |[0x80000258]:and a7, a2, tp<br> [0x8000025c]:sw a7, 72(t1)<br>     |
|  20|[0x8000505c]<br>0x00000000|- rs1 : x4<br> - rs2 : x17<br> - rd : x8<br> - rs2_val == 256<br>                                                                                                          |[0x80000274]:and fp, tp, a7<br> [0x80000278]:sw fp, 0(sp)<br>      |
|  21|[0x80005060]<br>0x00000400|- rs1 : x13<br> - rs2 : x22<br> - rd : x1<br> - rs2_val == 1024<br> - rs1_val == -129<br>                                                                                  |[0x80000284]:and ra, a3, s6<br> [0x80000288]:sw ra, 4(sp)<br>      |
|  22|[0x80005064]<br>0x00000000|- rs1 : x8<br> - rs2 : x12<br> - rd : x7<br> - rs2_val == 4096<br> - rs1_val == 4<br>                                                                                      |[0x80000294]:and t2, fp, a2<br> [0x80000298]:sw t2, 8(sp)<br>      |
|  23|[0x80005068]<br>0x00002000|- rs1 : x11<br> - rs2 : x5<br> - rd : x21<br> - rs2_val == 8192<br> - rs1_val == -32769<br>                                                                                |[0x800002a8]:and s5, a1, t0<br> [0x800002ac]:sw s5, 12(sp)<br>     |
|  24|[0x8000506c]<br>0x00000000|- rs1 : x14<br> - rs2 : x21<br> - rd : x29<br> - rs2_val == 16384<br> - rs1_val == 64<br>                                                                                  |[0x800002b8]:and t4, a4, s5<br> [0x800002bc]:sw t4, 16(sp)<br>     |
|  25|[0x80005070]<br>0x00000000|- rs1 : x17<br> - rs2 : x10<br> - rd : x11<br> - rs2_val == 32768<br>                                                                                                      |[0x800002c8]:and a1, a7, a0<br> [0x800002cc]:sw a1, 20(sp)<br>     |
|  26|[0x80005074]<br>0x00000000|- rs1 : x22<br> - rs2 : x6<br> - rd : x3<br> - rs2_val == 65536<br> - rs1_val == 8388608<br>                                                                               |[0x800002d8]:and gp, s6, t1<br> [0x800002dc]:sw gp, 24(sp)<br>     |
|  27|[0x80005078]<br>0x00000000|- rs1 : x0<br> - rs2 : x29<br> - rd : x9<br> - rs2_val == 131072<br>                                                                                                       |[0x800002e8]:and s1, zero, t4<br> [0x800002ec]:sw s1, 28(sp)<br>   |
|  28|[0x8000507c]<br>0x00000000|- rs1 : x29<br> - rs2 : x30<br> - rd : x28<br> - rs2_val == 262144<br>                                                                                                     |[0x800002f8]:and t3, t4, t5<br> [0x800002fc]:sw t3, 32(sp)<br>     |
|  29|[0x80005080]<br>0x00000000|- rs1 : x18<br> - rs2 : x1<br> - rd : x6<br> - rs2_val == 524288<br> - rs1_val == 65536<br>                                                                                |[0x80000308]:and t1, s2, ra<br> [0x8000030c]:sw t1, 36(sp)<br>     |
|  30|[0x80005084]<br>0x00000000|- rs1 : x6<br> - rs2 : x0<br> - rd : x31<br> - rs1_val == 134217728<br>                                                                                                    |[0x80000318]:and t6, t1, zero<br> [0x8000031c]:sw t6, 40(sp)<br>   |
|  31|[0x80005088]<br>0x00200000|- rs1 : x16<br> - rs2 : x8<br> - rd : x15<br> - rs2_val == 2097152<br>                                                                                                     |[0x80000328]:and a5, a6, fp<br> [0x8000032c]:sw a5, 44(sp)<br>     |
|  32|[0x8000508c]<br>0x00000000|- rs1 : x10<br> - rs2 : x28<br> - rd : x16<br> - rs2_val == 4194304<br>                                                                                                    |[0x8000033c]:and a6, a0, t3<br> [0x80000340]:sw a6, 48(sp)<br>     |
|  33|[0x80005090]<br>0x00000000|- rs2_val == 8388608<br>                                                                                                                                                   |[0x80000350]:and a2, a0, a1<br> [0x80000354]:sw a2, 52(sp)<br>     |
|  34|[0x80005094]<br>0x01000000|- rs2_val == 16777216<br>                                                                                                                                                  |[0x80000364]:and a2, a0, a1<br> [0x80000368]:sw a2, 56(sp)<br>     |
|  35|[0x80005098]<br>0x00000000|- rs2_val == 33554432<br> - rs1_val == 1431655765<br>                                                                                                                      |[0x80000378]:and a2, a0, a1<br> [0x8000037c]:sw a2, 60(sp)<br>     |
|  36|[0x8000509c]<br>0x00000000|- rs2_val == 67108864<br> - rs1_val == 131072<br>                                                                                                                          |[0x80000388]:and a2, a0, a1<br> [0x8000038c]:sw a2, 64(sp)<br>     |
|  37|[0x800050a0]<br>0x08000000|- rs2_val == 134217728<br>                                                                                                                                                 |[0x8000039c]:and a2, a0, a1<br> [0x800003a0]:sw a2, 68(sp)<br>     |
|  38|[0x800050a4]<br>0x00000000|- rs2_val == 268435456<br>                                                                                                                                                 |[0x800003b0]:and a2, a0, a1<br> [0x800003b4]:sw a2, 72(sp)<br>     |
|  39|[0x800050a8]<br>0x20000000|- rs2_val == 536870912<br> - rs1_val == -65537<br>                                                                                                                         |[0x800003c4]:and a2, a0, a1<br> [0x800003c8]:sw a2, 76(sp)<br>     |
|  40|[0x800050ac]<br>0x00000000|- rs2_val == 1073741824<br>                                                                                                                                                |[0x800003d4]:and a2, a0, a1<br> [0x800003d8]:sw a2, 80(sp)<br>     |
|  41|[0x800050b0]<br>0xFFFFFDFE|- rs2_val == -2<br> - rs1_val == -513<br>                                                                                                                                  |[0x800003e4]:and a2, a0, a1<br> [0x800003e8]:sw a2, 84(sp)<br>     |
|  42|[0x800050b8]<br>0x00800000|- rs2_val == -5<br>                                                                                                                                                        |[0x80000408]:and a2, a0, a1<br> [0x8000040c]:sw a2, 92(sp)<br>     |
|  43|[0x800050bc]<br>0xFFFFFDF7|- rs2_val == -9<br>                                                                                                                                                        |[0x80000418]:and a2, a0, a1<br> [0x8000041c]:sw a2, 96(sp)<br>     |
|  44|[0x800050c0]<br>0xF7FFFFEF|- rs2_val == -17<br> - rs1_val == -134217729<br>                                                                                                                           |[0x8000042c]:and a2, a0, a1<br> [0x80000430]:sw a2, 100(sp)<br>    |
|  45|[0x800050c4]<br>0x00000003|- rs2_val == -33<br>                                                                                                                                                       |[0x8000043c]:and a2, a0, a1<br> [0x80000440]:sw a2, 104(sp)<br>    |
|  46|[0x800050c8]<br>0x00000080|- rs2_val == -65<br> - rs1_val == 128<br>                                                                                                                                  |[0x8000044c]:and a2, a0, a1<br> [0x80000450]:sw a2, 108(sp)<br>    |
|  47|[0x800050cc]<br>0xFFFFFF79|- rs2_val == -129<br>                                                                                                                                                      |[0x8000045c]:and a2, a0, a1<br> [0x80000460]:sw a2, 112(sp)<br>    |
|  48|[0x800050d0]<br>0xFFFFFEF7|- rs2_val == -257<br> - rs1_val == -9<br>                                                                                                                                  |[0x8000046c]:and a2, a0, a1<br> [0x80000470]:sw a2, 116(sp)<br>    |
|  49|[0x800050d4]<br>0xAAAAA8AA|- rs2_val == -513<br> - rs1_val == -1431655766<br>                                                                                                                         |[0x80000480]:and a2, a0, a1<br> [0x80000484]:sw a2, 120(sp)<br>    |
|  50|[0x800050d8]<br>0xFF7FFBFF|- rs2_val == -1025<br> - rs1_val == -8388609<br>                                                                                                                           |[0x80000494]:and a2, a0, a1<br> [0x80000498]:sw a2, 124(sp)<br>    |
|  51|[0x800050dc]<br>0xFFEFF7FF|- rs2_val == -2049<br> - rs1_val == -1048577<br>                                                                                                                           |[0x800004ac]:and a2, a0, a1<br> [0x800004b0]:sw a2, 128(sp)<br>    |
|  52|[0x800050e0]<br>0x00000400|- rs2_val == -4097<br>                                                                                                                                                     |[0x800004c0]:and a2, a0, a1<br> [0x800004c4]:sw a2, 132(sp)<br>    |
|  53|[0x800050e4]<br>0x66664666|- rs2_val == -8193<br>                                                                                                                                                     |[0x800004d8]:and a2, a0, a1<br> [0x800004dc]:sw a2, 136(sp)<br>    |
|  54|[0x800050e8]<br>0x00000007|- rs2_val == -16385<br>                                                                                                                                                    |[0x800004ec]:and a2, a0, a1<br> [0x800004f0]:sw a2, 140(sp)<br>    |
|  55|[0x800050ec]<br>0x02000000|- rs2_val == -32769<br> - rs1_val == 33554432<br>                                                                                                                          |[0x80000500]:and a2, a0, a1<br> [0x80000504]:sw a2, 144(sp)<br>    |
|  56|[0x800050f0]<br>0x40000000|- rs2_val == -65537<br> - rs1_val == 1073741824<br>                                                                                                                        |[0x80000514]:and a2, a0, a1<br> [0x80000518]:sw a2, 148(sp)<br>    |
|  57|[0x800050f4]<br>0xFFFDFFFB|- rs2_val == -131073<br> - rs1_val == -5<br>                                                                                                                               |[0x80000528]:and a2, a0, a1<br> [0x8000052c]:sw a2, 152(sp)<br>    |
|  58|[0x800050f8]<br>0x00000000|- rs2_val == -262145<br>                                                                                                                                                   |[0x8000053c]:and a2, a0, a1<br> [0x80000540]:sw a2, 156(sp)<br>    |
|  59|[0x800050fc]<br>0x00000010|- rs2_val == -524289<br> - rs1_val == 16<br>                                                                                                                               |[0x80000550]:and a2, a0, a1<br> [0x80000554]:sw a2, 160(sp)<br>    |
|  60|[0x80005100]<br>0x00000400|- rs2_val == -2097153<br>                                                                                                                                                  |[0x80000564]:and a2, a0, a1<br> [0x80000568]:sw a2, 164(sp)<br>    |
|  61|[0x80005104]<br>0xFFBFFFFF|- rs2_val == -4194305<br>                                                                                                                                                  |[0x80000578]:and a2, a0, a1<br> [0x8000057c]:sw a2, 168(sp)<br>    |
|  62|[0x80005108]<br>0x00020000|- rs2_val == -8388609<br>                                                                                                                                                  |[0x8000058c]:and a2, a0, a1<br> [0x80000590]:sw a2, 172(sp)<br>    |
|  63|[0x8000510c]<br>0xFEFBFFFF|- rs2_val == -16777217<br> - rs1_val == -262145<br>                                                                                                                        |[0x800005a4]:and a2, a0, a1<br> [0x800005a8]:sw a2, 176(sp)<br>    |
|  64|[0x80005110]<br>0x00000006|- rs2_val == -33554433<br>                                                                                                                                                 |[0x800005b8]:and a2, a0, a1<br> [0x800005bc]:sw a2, 180(sp)<br>    |
|  65|[0x80005114]<br>0xAAAAAAAB|- rs2_val == -67108865<br>                                                                                                                                                 |[0x800005d0]:and a2, a0, a1<br> [0x800005d4]:sw a2, 184(sp)<br>    |
|  66|[0x80005118]<br>0xF7FFFFEF|- rs2_val == -134217729<br> - rs1_val == -17<br>                                                                                                                           |[0x800005e4]:and a2, a0, a1<br> [0x800005e8]:sw a2, 188(sp)<br>    |
|  67|[0x8000511c]<br>0xCFFFFFFF|- rs2_val == -268435457<br> - rs1_val == -536870913<br>                                                                                                                    |[0x800005fc]:and a2, a0, a1<br> [0x80000600]:sw a2, 192(sp)<br>    |
|  68|[0x80005120]<br>0xDFFF4AFD|- rs2_val == -536870913<br>                                                                                                                                                |[0x80000614]:and a2, a0, a1<br> [0x80000618]:sw a2, 196(sp)<br>    |
|  69|[0x80005124]<br>0x80000000|- rs2_val == -1073741825<br>                                                                                                                                               |[0x80000628]:and a2, a0, a1<br> [0x8000062c]:sw a2, 200(sp)<br>    |
|  70|[0x80005128]<br>0xAAAA0AA8|- rs2_val == -1431655766<br> - rs1_val==-46340 and rs2_val==-1431655766<br>                                                                                                |[0x80000640]:and a2, a0, a1<br> [0x80000644]:sw a2, 204(sp)<br>    |
|  71|[0x8000512c]<br>0x00000000|- rs1_val == 8<br>                                                                                                                                                         |[0x80000654]:and a2, a0, a1<br> [0x80000658]:sw a2, 208(sp)<br>    |
|  72|[0x80005130]<br>0x00000000|- rs1_val == 32<br>                                                                                                                                                        |[0x80000664]:and a2, a0, a1<br> [0x80000668]:sw a2, 212(sp)<br>    |
|  73|[0x80005134]<br>0x00000000|- rs1_val == 256<br>                                                                                                                                                       |[0x80000674]:and a2, a0, a1<br> [0x80000678]:sw a2, 216(sp)<br>    |
|  74|[0x80005138]<br>0x00000000|- rs1_val == 512<br>                                                                                                                                                       |[0x80000684]:and a2, a0, a1<br> [0x80000688]:sw a2, 220(sp)<br>    |
|  75|[0x8000513c]<br>0x00000000|- rs1_val == 4096<br>                                                                                                                                                      |[0x80000694]:and a2, a0, a1<br> [0x80000698]:sw a2, 224(sp)<br>    |
|  76|[0x80005140]<br>0x00000000|- rs1_val == 8192<br>                                                                                                                                                      |[0x800006a4]:and a2, a0, a1<br> [0x800006a8]:sw a2, 228(sp)<br>    |
|  77|[0x80005144]<br>0x00008000|- rs1_val == 32768<br>                                                                                                                                                     |[0x800006b4]:and a2, a0, a1<br> [0x800006b8]:sw a2, 232(sp)<br>    |
|  78|[0x80005148]<br>0x00080000|- rs1_val == 524288<br>                                                                                                                                                    |[0x800006c8]:and a2, a0, a1<br> [0x800006cc]:sw a2, 236(sp)<br>    |
|  79|[0x8000514c]<br>0x00100000|- rs1_val == 1048576<br>                                                                                                                                                   |[0x800006dc]:and a2, a0, a1<br> [0x800006e0]:sw a2, 240(sp)<br>    |
|  80|[0x80005150]<br>0x00000000|- rs1_val == 2097152<br>                                                                                                                                                   |[0x800006ec]:and a2, a0, a1<br> [0x800006f0]:sw a2, 244(sp)<br>    |
|  81|[0x80005154]<br>0x00400000|- rs1_val == 4194304<br>                                                                                                                                                   |[0x800006fc]:and a2, a0, a1<br> [0x80000700]:sw a2, 248(sp)<br>    |
|  82|[0x80005158]<br>0x00000000|- rs1_val == 16777216<br>                                                                                                                                                  |[0x8000070c]:and a2, a0, a1<br> [0x80000710]:sw a2, 252(sp)<br>    |
|  83|[0x8000515c]<br>0x00000000|- rs1_val == 67108864<br>                                                                                                                                                  |[0x8000071c]:and a2, a0, a1<br> [0x80000720]:sw a2, 256(sp)<br>    |
|  84|[0x80005160]<br>0x00000000|- rs1_val == 268435456<br>                                                                                                                                                 |[0x8000072c]:and a2, a0, a1<br> [0x80000730]:sw a2, 260(sp)<br>    |
|  85|[0x80005164]<br>0x00000000|- rs1_val == 536870912<br>                                                                                                                                                 |[0x8000073c]:and a2, a0, a1<br> [0x80000740]:sw a2, 264(sp)<br>    |
|  86|[0x80005168]<br>0xEFFFFFFE|- rs1_val == -2<br>                                                                                                                                                        |[0x80000750]:and a2, a0, a1<br> [0x80000754]:sw a2, 268(sp)<br>    |
|  87|[0x8000516c]<br>0x33333312|- rs1_val == -33<br>                                                                                                                                                       |[0x80000764]:and a2, a0, a1<br> [0x80000768]:sw a2, 272(sp)<br>    |
|  88|[0x80005170]<br>0xFFBFFFBF|- rs1_val == -65<br>                                                                                                                                                       |[0x80000778]:and a2, a0, a1<br> [0x8000077c]:sw a2, 276(sp)<br>    |
|  89|[0x80005174]<br>0xFFFFBBFF|- rs1_val == -1025<br>                                                                                                                                                     |[0x8000078c]:and a2, a0, a1<br> [0x80000790]:sw a2, 280(sp)<br>    |
|  90|[0x80005178]<br>0xFFFFF7F9|- rs1_val == -2049<br>                                                                                                                                                     |[0x800007a0]:and a2, a0, a1<br> [0x800007a4]:sw a2, 284(sp)<br>    |
|  91|[0x8000517c]<br>0xFFFFEF7F|- rs1_val == -4097<br>                                                                                                                                                     |[0x800007b4]:and a2, a0, a1<br> [0x800007b8]:sw a2, 288(sp)<br>    |
|  92|[0x80005180]<br>0xFFFFDFFB|- rs1_val == -8193<br>                                                                                                                                                     |[0x800007c8]:and a2, a0, a1<br> [0x800007cc]:sw a2, 292(sp)<br>    |
|  93|[0x80005184]<br>0x00000004|- rs1_val == -16385<br>                                                                                                                                                    |[0x800007dc]:and a2, a0, a1<br> [0x800007e0]:sw a2, 296(sp)<br>    |
|  94|[0x80005188]<br>0xFFD7FFFF|- rs1_val == -524289<br>                                                                                                                                                   |[0x800007f4]:and a2, a0, a1<br> [0x800007f8]:sw a2, 300(sp)<br>    |
|  95|[0x8000518c]<br>0x00000004|- rs1_val == -2097153<br>                                                                                                                                                  |[0x80000808]:and a2, a0, a1<br> [0x8000080c]:sw a2, 304(sp)<br>    |
|  96|[0x80005190]<br>0x33333334|- rs1_val == -4194305<br>                                                                                                                                                  |[0x80000820]:and a2, a0, a1<br> [0x80000824]:sw a2, 308(sp)<br>    |
|  97|[0x80005194]<br>0x7EFFFFFF|- rs1_val == -16777217<br>                                                                                                                                                 |[0x80000838]:and a2, a0, a1<br> [0x8000083c]:sw a2, 312(sp)<br>    |
|  98|[0x80005198]<br>0x62666665|- rs1_val == -67108865<br>                                                                                                                                                 |[0x80000850]:and a2, a0, a1<br> [0x80000854]:sw a2, 316(sp)<br>    |
|  99|[0x8000519c]<br>0xEFFF4AFD|- rs1_val == -268435457<br>                                                                                                                                                |[0x80000868]:and a2, a0, a1<br> [0x8000086c]:sw a2, 320(sp)<br>    |
| 100|[0x800051a0]<br>0x00000003|- rs1_val==3 and rs2_val==3<br>                                                                                                                                            |[0x80000878]:and a2, a0, a1<br> [0x8000087c]:sw a2, 324(sp)<br>    |
| 101|[0x800051a4]<br>0x00000001|- rs1_val==3 and rs2_val==1431655765<br>                                                                                                                                   |[0x8000088c]:and a2, a0, a1<br> [0x80000890]:sw a2, 328(sp)<br>    |
| 102|[0x800051a8]<br>0x00000002|- rs1_val==3 and rs2_val==-1431655766<br>                                                                                                                                  |[0x800008a0]:and a2, a0, a1<br> [0x800008a4]:sw a2, 332(sp)<br>    |
| 103|[0x800051ac]<br>0x00000001|- rs1_val==3 and rs2_val==5<br>                                                                                                                                            |[0x800008b0]:and a2, a0, a1<br> [0x800008b4]:sw a2, 336(sp)<br>    |
| 104|[0x800051b0]<br>0x00000003|- rs1_val==3 and rs2_val==858993459<br>                                                                                                                                    |[0x800008c4]:and a2, a0, a1<br> [0x800008c8]:sw a2, 340(sp)<br>    |
| 105|[0x800051b4]<br>0x00000002|- rs1_val==3 and rs2_val==1717986918<br>                                                                                                                                   |[0x800008d8]:and a2, a0, a1<br> [0x800008dc]:sw a2, 344(sp)<br>    |
| 106|[0x800051b8]<br>0x00000000|- rs1_val==3 and rs2_val==-46340<br>                                                                                                                                       |[0x800008ec]:and a2, a0, a1<br> [0x800008f0]:sw a2, 348(sp)<br>    |
| 107|[0x800051bc]<br>0x00000000|- rs1_val==3 and rs2_val==46340<br>                                                                                                                                        |[0x80000900]:and a2, a0, a1<br> [0x80000904]:sw a2, 352(sp)<br>    |
| 108|[0x800051c0]<br>0x00000002|- rs1_val==3 and rs2_val==2<br>                                                                                                                                            |[0x80000910]:and a2, a0, a1<br> [0x80000914]:sw a2, 356(sp)<br>    |
| 109|[0x800051c4]<br>0x00000000|- rs1_val==3 and rs2_val==1431655764<br>                                                                                                                                   |[0x80000924]:and a2, a0, a1<br> [0x80000928]:sw a2, 360(sp)<br>    |
| 110|[0x800051c8]<br>0x00000000|- rs1_val==3 and rs2_val==0<br>                                                                                                                                            |[0x80000934]:and a2, a0, a1<br> [0x80000938]:sw a2, 364(sp)<br>    |
| 111|[0x800051cc]<br>0x00000000|- rs1_val==3 and rs2_val==4<br>                                                                                                                                            |[0x80000944]:and a2, a0, a1<br> [0x80000948]:sw a2, 368(sp)<br>    |
| 112|[0x800051d0]<br>0x00000002|- rs1_val==3 and rs2_val==858993458<br>                                                                                                                                    |[0x80000958]:and a2, a0, a1<br> [0x8000095c]:sw a2, 372(sp)<br>    |
| 113|[0x800051d4]<br>0x00000001|- rs1_val==3 and rs2_val==1717986917<br>                                                                                                                                   |[0x8000096c]:and a2, a0, a1<br> [0x80000970]:sw a2, 376(sp)<br>    |
| 114|[0x800051d8]<br>0x00000003|- rs1_val==3 and rs2_val==46339<br>                                                                                                                                        |[0x80000980]:and a2, a0, a1<br> [0x80000984]:sw a2, 380(sp)<br>    |
| 115|[0x800051dc]<br>0x00000002|- rs1_val==3 and rs2_val==1431655766<br>                                                                                                                                   |[0x80000994]:and a2, a0, a1<br> [0x80000998]:sw a2, 384(sp)<br>    |
| 116|[0x800051e0]<br>0x00000003|- rs1_val==3 and rs2_val==-1431655765<br>                                                                                                                                  |[0x800009a8]:and a2, a0, a1<br> [0x800009ac]:sw a2, 388(sp)<br>    |
| 117|[0x800051e4]<br>0x00000002|- rs1_val==3 and rs2_val==6<br>                                                                                                                                            |[0x800009b8]:and a2, a0, a1<br> [0x800009bc]:sw a2, 392(sp)<br>    |
| 118|[0x800051e8]<br>0x00000000|- rs1_val==3 and rs2_val==858993460<br>                                                                                                                                    |[0x800009cc]:and a2, a0, a1<br> [0x800009d0]:sw a2, 396(sp)<br>    |
| 119|[0x800051ec]<br>0x00000003|- rs1_val==3 and rs2_val==1717986919<br>                                                                                                                                   |[0x800009e0]:and a2, a0, a1<br> [0x800009e4]:sw a2, 400(sp)<br>    |
| 120|[0x800051f0]<br>0x00000001|- rs1_val==3 and rs2_val==-46339<br>                                                                                                                                       |[0x800009f4]:and a2, a0, a1<br> [0x800009f8]:sw a2, 404(sp)<br>    |
| 121|[0x800051f4]<br>0x00000001|- rs1_val==3 and rs2_val==46341<br>                                                                                                                                        |[0x80000a08]:and a2, a0, a1<br> [0x80000a0c]:sw a2, 408(sp)<br>    |
| 122|[0x800051f8]<br>0x00000001|- rs1_val==1431655765 and rs2_val==3<br>                                                                                                                                   |[0x80000a1c]:and a2, a0, a1<br> [0x80000a20]:sw a2, 412(sp)<br>    |
| 123|[0x800051fc]<br>0x55555555|- rs1_val==1431655765 and rs2_val==1431655765<br>                                                                                                                          |[0x80000a34]:and a2, a0, a1<br> [0x80000a38]:sw a2, 416(sp)<br>    |
| 124|[0x80005200]<br>0x00000000|- rs1_val==1431655765 and rs2_val==-1431655766<br>                                                                                                                         |[0x80000a4c]:and a2, a0, a1<br> [0x80000a50]:sw a2, 420(sp)<br>    |
| 125|[0x80005204]<br>0x00000005|- rs1_val==1431655765 and rs2_val==5<br>                                                                                                                                   |[0x80000a60]:and a2, a0, a1<br> [0x80000a64]:sw a2, 424(sp)<br>    |
| 126|[0x80005208]<br>0x11111111|- rs1_val==1431655765 and rs2_val==858993459<br>                                                                                                                           |[0x80000a78]:and a2, a0, a1<br> [0x80000a7c]:sw a2, 428(sp)<br>    |
| 127|[0x8000520c]<br>0x44444444|- rs1_val==1431655765 and rs2_val==1717986918<br>                                                                                                                          |[0x80000a90]:and a2, a0, a1<br> [0x80000a94]:sw a2, 432(sp)<br>    |
| 128|[0x80005210]<br>0x55554054|- rs1_val==1431655765 and rs2_val==-46340<br>                                                                                                                              |[0x80000aa8]:and a2, a0, a1<br> [0x80000aac]:sw a2, 436(sp)<br>    |
| 129|[0x80005214]<br>0x00001504|- rs1_val==1431655765 and rs2_val==46340<br>                                                                                                                               |[0x80000ac0]:and a2, a0, a1<br> [0x80000ac4]:sw a2, 440(sp)<br>    |
| 130|[0x80005218]<br>0x00000000|- rs1_val==1431655765 and rs2_val==2<br>                                                                                                                                   |[0x80000ad4]:and a2, a0, a1<br> [0x80000ad8]:sw a2, 444(sp)<br>    |
| 131|[0x8000521c]<br>0x55555554|- rs1_val==1431655765 and rs2_val==1431655764<br>                                                                                                                          |[0x80000aec]:and a2, a0, a1<br> [0x80000af0]:sw a2, 448(sp)<br>    |
| 132|[0x80005220]<br>0x00000000|- rs1_val==1431655765 and rs2_val==0<br>                                                                                                                                   |[0x80000b00]:and a2, a0, a1<br> [0x80000b04]:sw a2, 452(sp)<br>    |
| 133|[0x80005224]<br>0x00000004|- rs1_val==1431655765 and rs2_val==4<br>                                                                                                                                   |[0x80000b14]:and a2, a0, a1<br> [0x80000b18]:sw a2, 456(sp)<br>    |
| 134|[0x80005228]<br>0x11111110|- rs1_val==1431655765 and rs2_val==858993458<br>                                                                                                                           |[0x80000b2c]:and a2, a0, a1<br> [0x80000b30]:sw a2, 460(sp)<br>    |
| 135|[0x8000522c]<br>0x44444445|- rs1_val==1431655765 and rs2_val==1717986917<br>                                                                                                                          |[0x80000b44]:and a2, a0, a1<br> [0x80000b48]:sw a2, 464(sp)<br>    |
| 136|[0x80005230]<br>0x00001501|- rs1_val==1431655765 and rs2_val==46339<br>                                                                                                                               |[0x80000b5c]:and a2, a0, a1<br> [0x80000b60]:sw a2, 468(sp)<br>    |
| 137|[0x80005234]<br>0x55555554|- rs1_val==1431655765 and rs2_val==1431655766<br>                                                                                                                          |[0x80000b74]:and a2, a0, a1<br> [0x80000b78]:sw a2, 472(sp)<br>    |
| 138|[0x80005238]<br>0x00000001|- rs1_val==1431655765 and rs2_val==-1431655765<br>                                                                                                                         |[0x80000b8c]:and a2, a0, a1<br> [0x80000b90]:sw a2, 476(sp)<br>    |
| 139|[0x8000523c]<br>0x00000004|- rs1_val==1431655765 and rs2_val==6<br>                                                                                                                                   |[0x80000ba0]:and a2, a0, a1<br> [0x80000ba4]:sw a2, 480(sp)<br>    |
| 140|[0x80005240]<br>0x11111114|- rs1_val==1431655765 and rs2_val==858993460<br>                                                                                                                           |[0x80000bb8]:and a2, a0, a1<br> [0x80000bbc]:sw a2, 484(sp)<br>    |
| 141|[0x80005244]<br>0x44444445|- rs1_val==1431655765 and rs2_val==1717986919<br>                                                                                                                          |[0x80000bd0]:and a2, a0, a1<br> [0x80000bd4]:sw a2, 488(sp)<br>    |
| 142|[0x80005248]<br>0x55554055|- rs1_val==1431655765 and rs2_val==-46339<br>                                                                                                                              |[0x80000be8]:and a2, a0, a1<br> [0x80000bec]:sw a2, 492(sp)<br>    |
| 143|[0x8000524c]<br>0x00001505|- rs1_val==1431655765 and rs2_val==46341<br>                                                                                                                               |[0x80000c00]:and a2, a0, a1<br> [0x80000c04]:sw a2, 496(sp)<br>    |
| 144|[0x80005250]<br>0x00000002|- rs1_val==-1431655766 and rs2_val==3<br>                                                                                                                                  |[0x80000c14]:and a2, a0, a1<br> [0x80000c18]:sw a2, 500(sp)<br>    |
| 145|[0x80005254]<br>0x00000000|- rs1_val==-1431655766 and rs2_val==1431655765<br>                                                                                                                         |[0x80000c2c]:and a2, a0, a1<br> [0x80000c30]:sw a2, 504(sp)<br>    |
| 146|[0x80005258]<br>0xAAAAAAAA|- rs1_val==-1431655766 and rs2_val==-1431655766<br>                                                                                                                        |[0x80000c44]:and a2, a0, a1<br> [0x80000c48]:sw a2, 508(sp)<br>    |
| 147|[0x8000525c]<br>0x00000000|- rs1_val==-1431655766 and rs2_val==5<br>                                                                                                                                  |[0x80000c58]:and a2, a0, a1<br> [0x80000c5c]:sw a2, 512(sp)<br>    |
| 148|[0x80005260]<br>0x22222222|- rs1_val==-1431655766 and rs2_val==858993459<br>                                                                                                                          |[0x80000c70]:and a2, a0, a1<br> [0x80000c74]:sw a2, 516(sp)<br>    |
| 149|[0x80005264]<br>0x22222222|- rs1_val==-1431655766 and rs2_val==1717986918<br>                                                                                                                         |[0x80000c88]:and a2, a0, a1<br> [0x80000c8c]:sw a2, 520(sp)<br>    |
| 150|[0x80005268]<br>0xAAAA0AA8|- rs1_val==-1431655766 and rs2_val==-46340<br>                                                                                                                             |[0x80000ca0]:and a2, a0, a1<br> [0x80000ca4]:sw a2, 524(sp)<br>    |
| 151|[0x8000526c]<br>0x0000A000|- rs1_val==-1431655766 and rs2_val==46340<br>                                                                                                                              |[0x80000cb8]:and a2, a0, a1<br> [0x80000cbc]:sw a2, 528(sp)<br>    |
| 152|[0x80005270]<br>0x00000002|- rs1_val==-1431655766 and rs2_val==2<br>                                                                                                                                  |[0x80000ccc]:and a2, a0, a1<br> [0x80000cd0]:sw a2, 532(sp)<br>    |
| 153|[0x80005274]<br>0x00000000|- rs1_val==-1431655766 and rs2_val==1431655764<br>                                                                                                                         |[0x80000ce4]:and a2, a0, a1<br> [0x80000ce8]:sw a2, 536(sp)<br>    |
| 154|[0x80005278]<br>0x00000000|- rs1_val==-1431655766 and rs2_val==0<br>                                                                                                                                  |[0x80000cf8]:and a2, a0, a1<br> [0x80000cfc]:sw a2, 540(sp)<br>    |
| 155|[0x8000527c]<br>0x00000000|- rs1_val==-1431655766 and rs2_val==4<br>                                                                                                                                  |[0x80000d0c]:and a2, a0, a1<br> [0x80000d10]:sw a2, 544(sp)<br>    |
| 156|[0x80005280]<br>0x22222222|- rs1_val==-1431655766 and rs2_val==858993458<br>                                                                                                                          |[0x80000d24]:and a2, a0, a1<br> [0x80000d28]:sw a2, 548(sp)<br>    |
| 157|[0x80005284]<br>0x22222220|- rs1_val==-1431655766 and rs2_val==1717986917<br>                                                                                                                         |[0x80000d3c]:and a2, a0, a1<br> [0x80000d40]:sw a2, 552(sp)<br>    |
| 158|[0x80005288]<br>0x0000A002|- rs1_val==-1431655766 and rs2_val==46339<br>                                                                                                                              |[0x80000d54]:and a2, a0, a1<br> [0x80000d58]:sw a2, 556(sp)<br>    |
| 159|[0x8000528c]<br>0x00000002|- rs1_val==-1431655766 and rs2_val==1431655766<br>                                                                                                                         |[0x80000d6c]:and a2, a0, a1<br> [0x80000d70]:sw a2, 560(sp)<br>    |
| 160|[0x80005290]<br>0xAAAAAAAA|- rs1_val==-1431655766 and rs2_val==-1431655765<br>                                                                                                                        |[0x80000d84]:and a2, a0, a1<br> [0x80000d88]:sw a2, 564(sp)<br>    |
| 161|[0x80005294]<br>0x00000002|- rs1_val==-1431655766 and rs2_val==6<br>                                                                                                                                  |[0x80000d98]:and a2, a0, a1<br> [0x80000d9c]:sw a2, 568(sp)<br>    |
| 162|[0x80005298]<br>0x22222220|- rs1_val==-1431655766 and rs2_val==858993460<br>                                                                                                                          |[0x80000db0]:and a2, a0, a1<br> [0x80000db4]:sw a2, 572(sp)<br>    |
| 163|[0x8000529c]<br>0x22222222|- rs1_val==-1431655766 and rs2_val==1717986919<br>                                                                                                                         |[0x80000dc8]:and a2, a0, a1<br> [0x80000dcc]:sw a2, 576(sp)<br>    |
| 164|[0x800052a0]<br>0xAAAA0AA8|- rs1_val==-1431655766 and rs2_val==-46339<br>                                                                                                                             |[0x80000de0]:and a2, a0, a1<br> [0x80000de4]:sw a2, 580(sp)<br>    |
| 165|[0x800052a4]<br>0x0000A000|- rs1_val==-1431655766 and rs2_val==46341<br>                                                                                                                              |[0x80000df8]:and a2, a0, a1<br> [0x80000dfc]:sw a2, 584(sp)<br>    |
| 166|[0x800052a8]<br>0x00000001|- rs1_val==5 and rs2_val==3<br>                                                                                                                                            |[0x80000e08]:and a2, a0, a1<br> [0x80000e0c]:sw a2, 588(sp)<br>    |
| 167|[0x800052ac]<br>0x00000005|- rs1_val==5 and rs2_val==1431655765<br>                                                                                                                                   |[0x80000e1c]:and a2, a0, a1<br> [0x80000e20]:sw a2, 592(sp)<br>    |
| 168|[0x800052b0]<br>0x00000000|- rs1_val==5 and rs2_val==-1431655766<br>                                                                                                                                  |[0x80000e30]:and a2, a0, a1<br> [0x80000e34]:sw a2, 596(sp)<br>    |
| 169|[0x800052b4]<br>0x00000001|- rs1_val==5 and rs2_val==858993459<br>                                                                                                                                    |[0x80000e44]:and a2, a0, a1<br> [0x80000e48]:sw a2, 600(sp)<br>    |
| 170|[0x800052b8]<br>0x00000004|- rs1_val==5 and rs2_val==1717986918<br>                                                                                                                                   |[0x80000e58]:and a2, a0, a1<br> [0x80000e5c]:sw a2, 604(sp)<br>    |
| 171|[0x800052bc]<br>0x00000004|- rs1_val==5 and rs2_val==-46340<br>                                                                                                                                       |[0x80000e6c]:and a2, a0, a1<br> [0x80000e70]:sw a2, 608(sp)<br>    |
| 172|[0x800052c0]<br>0x00000004|- rs1_val==5 and rs2_val==46340<br>                                                                                                                                        |[0x80000e80]:and a2, a0, a1<br> [0x80000e84]:sw a2, 612(sp)<br>    |
| 173|[0x800052c4]<br>0x00000000|- rs1_val==5 and rs2_val==2<br>                                                                                                                                            |[0x80000e90]:and a2, a0, a1<br> [0x80000e94]:sw a2, 616(sp)<br>    |
| 174|[0x800052c8]<br>0x00000004|- rs1_val==5 and rs2_val==1431655764<br>                                                                                                                                   |[0x80000ea4]:and a2, a0, a1<br> [0x80000ea8]:sw a2, 620(sp)<br>    |
| 175|[0x800052cc]<br>0x00000000|- rs1_val==5 and rs2_val==0<br>                                                                                                                                            |[0x80000eb4]:and a2, a0, a1<br> [0x80000eb8]:sw a2, 624(sp)<br>    |
| 176|[0x800052d0]<br>0x00000004|- rs1_val==5 and rs2_val==4<br>                                                                                                                                            |[0x80000ec4]:and a2, a0, a1<br> [0x80000ec8]:sw a2, 628(sp)<br>    |
| 177|[0x800052d4]<br>0x00000000|- rs1_val==5 and rs2_val==858993458<br>                                                                                                                                    |[0x80000ed8]:and a2, a0, a1<br> [0x80000edc]:sw a2, 632(sp)<br>    |
| 178|[0x800052d8]<br>0x00000005|- rs1_val==5 and rs2_val==1717986917<br>                                                                                                                                   |[0x80000eec]:and a2, a0, a1<br> [0x80000ef0]:sw a2, 636(sp)<br>    |
| 179|[0x800052dc]<br>0x00000001|- rs1_val==5 and rs2_val==46339<br>                                                                                                                                        |[0x80000f00]:and a2, a0, a1<br> [0x80000f04]:sw a2, 640(sp)<br>    |
| 180|[0x800052e0]<br>0x00000004|- rs1_val==5 and rs2_val==1431655766<br>                                                                                                                                   |[0x80000f14]:and a2, a0, a1<br> [0x80000f18]:sw a2, 644(sp)<br>    |
| 181|[0x800052e4]<br>0x00000001|- rs1_val==5 and rs2_val==-1431655765<br>                                                                                                                                  |[0x80000f28]:and a2, a0, a1<br> [0x80000f2c]:sw a2, 648(sp)<br>    |
| 182|[0x800052e8]<br>0x00000004|- rs1_val==5 and rs2_val==6<br>                                                                                                                                            |[0x80000f38]:and a2, a0, a1<br> [0x80000f3c]:sw a2, 652(sp)<br>    |
| 183|[0x800052ec]<br>0x00000004|- rs1_val==5 and rs2_val==858993460<br>                                                                                                                                    |[0x80000f4c]:and a2, a0, a1<br> [0x80000f50]:sw a2, 656(sp)<br>    |
| 184|[0x800052f0]<br>0x00000005|- rs1_val==5 and rs2_val==1717986919<br>                                                                                                                                   |[0x80000f60]:and a2, a0, a1<br> [0x80000f64]:sw a2, 660(sp)<br>    |
| 185|[0x800052f4]<br>0x00000005|- rs1_val==5 and rs2_val==-46339<br>                                                                                                                                       |[0x80000f74]:and a2, a0, a1<br> [0x80000f78]:sw a2, 664(sp)<br>    |
| 186|[0x800052f8]<br>0x00000005|- rs1_val==5 and rs2_val==46341<br>                                                                                                                                        |[0x80000f88]:and a2, a0, a1<br> [0x80000f8c]:sw a2, 668(sp)<br>    |
| 187|[0x800052fc]<br>0x00000003|- rs1_val==858993459 and rs2_val==3<br>                                                                                                                                    |[0x80000f9c]:and a2, a0, a1<br> [0x80000fa0]:sw a2, 672(sp)<br>    |
| 188|[0x80005300]<br>0x11111111|- rs1_val==858993459 and rs2_val==1431655765<br>                                                                                                                           |[0x80000fb4]:and a2, a0, a1<br> [0x80000fb8]:sw a2, 676(sp)<br>    |
| 189|[0x80005304]<br>0x22222222|- rs1_val==858993459 and rs2_val==-1431655766<br>                                                                                                                          |[0x80000fcc]:and a2, a0, a1<br> [0x80000fd0]:sw a2, 680(sp)<br>    |
| 190|[0x80005308]<br>0x00000001|- rs1_val==858993459 and rs2_val==5<br>                                                                                                                                    |[0x80000fe0]:and a2, a0, a1<br> [0x80000fe4]:sw a2, 684(sp)<br>    |
| 191|[0x8000530c]<br>0x33333333|- rs1_val==858993459 and rs2_val==858993459<br>                                                                                                                            |[0x80000ff8]:and a2, a0, a1<br> [0x80000ffc]:sw a2, 688(sp)<br>    |
| 192|[0x80005310]<br>0x22222222|- rs1_val==858993459 and rs2_val==1717986918<br>                                                                                                                           |[0x80001010]:and a2, a0, a1<br> [0x80001014]:sw a2, 692(sp)<br>    |
| 193|[0x80005314]<br>0x33330230|- rs1_val==858993459 and rs2_val==-46340<br>                                                                                                                               |[0x80001028]:and a2, a0, a1<br> [0x8000102c]:sw a2, 696(sp)<br>    |
| 194|[0x80005318]<br>0x00003100|- rs1_val==858993459 and rs2_val==46340<br>                                                                                                                                |[0x80001040]:and a2, a0, a1<br> [0x80001044]:sw a2, 700(sp)<br>    |
| 195|[0x8000531c]<br>0x00000002|- rs1_val==858993459 and rs2_val==2<br>                                                                                                                                    |[0x80001054]:and a2, a0, a1<br> [0x80001058]:sw a2, 704(sp)<br>    |
| 196|[0x80005320]<br>0x11111110|- rs1_val==858993459 and rs2_val==1431655764<br>                                                                                                                           |[0x8000106c]:and a2, a0, a1<br> [0x80001070]:sw a2, 708(sp)<br>    |
| 197|[0x80005324]<br>0x00000000|- rs1_val==858993459 and rs2_val==4<br>                                                                                                                                    |[0x80001080]:and a2, a0, a1<br> [0x80001084]:sw a2, 712(sp)<br>    |
| 198|[0x80005328]<br>0x33333332|- rs1_val==858993459 and rs2_val==858993458<br>                                                                                                                            |[0x80001098]:and a2, a0, a1<br> [0x8000109c]:sw a2, 716(sp)<br>    |
| 199|[0x8000532c]<br>0x22222221|- rs1_val==858993459 and rs2_val==1717986917<br>                                                                                                                           |[0x800010b0]:and a2, a0, a1<br> [0x800010b4]:sw a2, 720(sp)<br>    |
| 200|[0x80005330]<br>0x00003103|- rs1_val==858993459 and rs2_val==46339<br>                                                                                                                                |[0x800010c8]:and a2, a0, a1<br> [0x800010cc]:sw a2, 724(sp)<br>    |
| 201|[0x80005334]<br>0x11111112|- rs1_val==858993459 and rs2_val==1431655766<br>                                                                                                                           |[0x800010e0]:and a2, a0, a1<br> [0x800010e4]:sw a2, 728(sp)<br>    |
| 202|[0x80005338]<br>0x22222223|- rs1_val==858993459 and rs2_val==-1431655765<br>                                                                                                                          |[0x800010f8]:and a2, a0, a1<br> [0x800010fc]:sw a2, 732(sp)<br>    |
| 203|[0x8000533c]<br>0x00000002|- rs1_val==858993459 and rs2_val==6<br>                                                                                                                                    |[0x8000110c]:and a2, a0, a1<br> [0x80001110]:sw a2, 736(sp)<br>    |
| 204|[0x80005340]<br>0x33333330|- rs1_val==858993459 and rs2_val==858993460<br>                                                                                                                            |[0x80001124]:and a2, a0, a1<br> [0x80001128]:sw a2, 740(sp)<br>    |
| 205|[0x80005344]<br>0x22222223|- rs1_val==858993459 and rs2_val==1717986919<br>                                                                                                                           |[0x8000113c]:and a2, a0, a1<br> [0x80001140]:sw a2, 744(sp)<br>    |
| 206|[0x80005348]<br>0x33330231|- rs1_val==858993459 and rs2_val==-46339<br>                                                                                                                               |[0x80001154]:and a2, a0, a1<br> [0x80001158]:sw a2, 748(sp)<br>    |
| 207|[0x8000534c]<br>0x00003101|- rs1_val==858993459 and rs2_val==46341<br>                                                                                                                                |[0x8000116c]:and a2, a0, a1<br> [0x80001170]:sw a2, 752(sp)<br>    |
| 208|[0x80005350]<br>0x00000002|- rs1_val==1717986918 and rs2_val==3<br>                                                                                                                                   |[0x80001180]:and a2, a0, a1<br> [0x80001184]:sw a2, 756(sp)<br>    |
| 209|[0x80005354]<br>0x44444444|- rs1_val==1717986918 and rs2_val==1431655765<br>                                                                                                                          |[0x80001198]:and a2, a0, a1<br> [0x8000119c]:sw a2, 760(sp)<br>    |
| 210|[0x80005358]<br>0x22222222|- rs1_val==1717986918 and rs2_val==-1431655766<br>                                                                                                                         |[0x800011b0]:and a2, a0, a1<br> [0x800011b4]:sw a2, 764(sp)<br>    |
| 211|[0x8000535c]<br>0x00000004|- rs1_val==1717986918 and rs2_val==5<br>                                                                                                                                   |[0x800011c4]:and a2, a0, a1<br> [0x800011c8]:sw a2, 768(sp)<br>    |
| 212|[0x80005360]<br>0x22222222|- rs1_val==1717986918 and rs2_val==858993459<br>                                                                                                                           |[0x800011dc]:and a2, a0, a1<br> [0x800011e0]:sw a2, 772(sp)<br>    |
| 213|[0x80005364]<br>0x66666666|- rs1_val==1717986918 and rs2_val==1717986918<br>                                                                                                                          |[0x800011f4]:and a2, a0, a1<br> [0x800011f8]:sw a2, 776(sp)<br>    |
| 214|[0x80005368]<br>0x66664264|- rs1_val==1717986918 and rs2_val==-46340<br>                                                                                                                              |[0x8000120c]:and a2, a0, a1<br> [0x80001210]:sw a2, 780(sp)<br>    |
| 215|[0x8000536c]<br>0x00002404|- rs1_val==1717986918 and rs2_val==46340<br>                                                                                                                               |[0x80001224]:and a2, a0, a1<br> [0x80001228]:sw a2, 784(sp)<br>    |
| 216|[0x80005370]<br>0x00000002|- rs1_val==1717986918 and rs2_val==2<br>                                                                                                                                   |[0x80001238]:and a2, a0, a1<br> [0x8000123c]:sw a2, 788(sp)<br>    |
| 217|[0x80005374]<br>0x44444444|- rs1_val==1717986918 and rs2_val==1431655764<br>                                                                                                                          |[0x80001250]:and a2, a0, a1<br> [0x80001254]:sw a2, 792(sp)<br>    |
| 218|[0x80005378]<br>0x00000000|- rs1_val==1717986918 and rs2_val==0<br>                                                                                                                                   |[0x80001264]:and a2, a0, a1<br> [0x80001268]:sw a2, 796(sp)<br>    |
| 219|[0x8000537c]<br>0x00000004|- rs1_val==1717986918 and rs2_val==4<br>                                                                                                                                   |[0x80001278]:and a2, a0, a1<br> [0x8000127c]:sw a2, 800(sp)<br>    |
| 220|[0x80005380]<br>0x22222222|- rs1_val==1717986918 and rs2_val==858993458<br>                                                                                                                           |[0x80001290]:and a2, a0, a1<br> [0x80001294]:sw a2, 804(sp)<br>    |
| 221|[0x80005384]<br>0x66666664|- rs1_val==1717986918 and rs2_val==1717986917<br>                                                                                                                          |[0x800012a8]:and a2, a0, a1<br> [0x800012ac]:sw a2, 808(sp)<br>    |
| 222|[0x80005388]<br>0x00002402|- rs1_val==1717986918 and rs2_val==46339<br>                                                                                                                               |[0x800012c0]:and a2, a0, a1<br> [0x800012c4]:sw a2, 812(sp)<br>    |
| 223|[0x8000538c]<br>0x44444446|- rs1_val==1717986918 and rs2_val==1431655766<br>                                                                                                                          |[0x800012d8]:and a2, a0, a1<br> [0x800012dc]:sw a2, 816(sp)<br>    |
| 224|[0x80005390]<br>0x22222222|- rs1_val==1717986918 and rs2_val==-1431655765<br>                                                                                                                         |[0x800012f0]:and a2, a0, a1<br> [0x800012f4]:sw a2, 820(sp)<br>    |
| 225|[0x80005394]<br>0x00000006|- rs1_val==1717986918 and rs2_val==6<br>                                                                                                                                   |[0x80001304]:and a2, a0, a1<br> [0x80001308]:sw a2, 824(sp)<br>    |
| 226|[0x80005398]<br>0x22222224|- rs1_val==1717986918 and rs2_val==858993460<br>                                                                                                                           |[0x8000131c]:and a2, a0, a1<br> [0x80001320]:sw a2, 828(sp)<br>    |
| 227|[0x8000539c]<br>0x66666666|- rs1_val==1717986918 and rs2_val==1717986919<br>                                                                                                                          |[0x80001334]:and a2, a0, a1<br> [0x80001338]:sw a2, 832(sp)<br>    |
| 228|[0x800053a0]<br>0x66664264|- rs1_val==1717986918 and rs2_val==-46339<br>                                                                                                                              |[0x8000134c]:and a2, a0, a1<br> [0x80001350]:sw a2, 836(sp)<br>    |
| 229|[0x800053a4]<br>0x00002404|- rs1_val==1717986918 and rs2_val==46341<br>                                                                                                                               |[0x80001364]:and a2, a0, a1<br> [0x80001368]:sw a2, 840(sp)<br>    |
| 230|[0x800053a8]<br>0x00000000|- rs1_val==-46340 and rs2_val==3<br>                                                                                                                                       |[0x80001378]:and a2, a0, a1<br> [0x8000137c]:sw a2, 844(sp)<br>    |
| 231|[0x800053ac]<br>0x55554054|- rs1_val==-46340 and rs2_val==1431655765<br>                                                                                                                              |[0x80001390]:and a2, a0, a1<br> [0x80001394]:sw a2, 848(sp)<br>    |
| 232|[0x800053b0]<br>0x00000004|- rs1_val==-46340 and rs2_val==5<br>                                                                                                                                       |[0x800013a4]:and a2, a0, a1<br> [0x800013a8]:sw a2, 852(sp)<br>    |
| 233|[0x800053b4]<br>0x33330230|- rs1_val==-46340 and rs2_val==858993459<br>                                                                                                                               |[0x800013bc]:and a2, a0, a1<br> [0x800013c0]:sw a2, 856(sp)<br>    |
| 234|[0x800053b8]<br>0x66664264|- rs1_val==-46340 and rs2_val==1717986918<br>                                                                                                                              |[0x800013d4]:and a2, a0, a1<br> [0x800013d8]:sw a2, 860(sp)<br>    |
| 235|[0x800053bc]<br>0xFFFF4AFC|- rs1_val==-46340 and rs2_val==-46340<br>                                                                                                                                  |[0x800013ec]:and a2, a0, a1<br> [0x800013f0]:sw a2, 864(sp)<br>    |
| 236|[0x800053c0]<br>0x00000004|- rs1_val==-46340 and rs2_val==46340<br>                                                                                                                                   |[0x80001404]:and a2, a0, a1<br> [0x80001408]:sw a2, 868(sp)<br>    |
| 237|[0x800053c4]<br>0x00000000|- rs1_val==-46340 and rs2_val==2<br>                                                                                                                                       |[0x80001418]:and a2, a0, a1<br> [0x8000141c]:sw a2, 872(sp)<br>    |
| 238|[0x800053c8]<br>0x55554054|- rs1_val==-46340 and rs2_val==1431655764<br>                                                                                                                              |[0x80001430]:and a2, a0, a1<br> [0x80001434]:sw a2, 876(sp)<br>    |
| 239|[0x800053cc]<br>0x00000000|- rs1_val==-46340 and rs2_val==0<br>                                                                                                                                       |[0x80001444]:and a2, a0, a1<br> [0x80001448]:sw a2, 880(sp)<br>    |
| 240|[0x800053d0]<br>0x00000004|- rs1_val==-46340 and rs2_val==4<br>                                                                                                                                       |[0x80001458]:and a2, a0, a1<br> [0x8000145c]:sw a2, 884(sp)<br>    |
| 241|[0x800053d4]<br>0x33330230|- rs1_val==-46340 and rs2_val==858993458<br>                                                                                                                               |[0x80001470]:and a2, a0, a1<br> [0x80001474]:sw a2, 888(sp)<br>    |
| 242|[0x800053d8]<br>0x66664264|- rs1_val==-46340 and rs2_val==1717986917<br>                                                                                                                              |[0x80001488]:and a2, a0, a1<br> [0x8000148c]:sw a2, 892(sp)<br>    |
| 243|[0x800053dc]<br>0x00000000|- rs1_val==-46340 and rs2_val==46339<br>                                                                                                                                   |[0x800014a0]:and a2, a0, a1<br> [0x800014a4]:sw a2, 896(sp)<br>    |
| 244|[0x800053e0]<br>0x55554054|- rs1_val==-46340 and rs2_val==1431655766<br>                                                                                                                              |[0x800014b8]:and a2, a0, a1<br> [0x800014bc]:sw a2, 900(sp)<br>    |
| 245|[0x800053e4]<br>0xAAAA0AA8|- rs1_val==-46340 and rs2_val==-1431655765<br>                                                                                                                             |[0x800014d0]:and a2, a0, a1<br> [0x800014d4]:sw a2, 904(sp)<br>    |
| 246|[0x800053e8]<br>0x00000004|- rs1_val==-46340 and rs2_val==6<br>                                                                                                                                       |[0x800014e4]:and a2, a0, a1<br> [0x800014e8]:sw a2, 908(sp)<br>    |
| 247|[0x800053ec]<br>0x33330234|- rs1_val==-46340 and rs2_val==858993460<br>                                                                                                                               |[0x800014fc]:and a2, a0, a1<br> [0x80001500]:sw a2, 912(sp)<br>    |
| 248|[0x800053f0]<br>0x66664264|- rs1_val==-46340 and rs2_val==1717986919<br>                                                                                                                              |[0x80001514]:and a2, a0, a1<br> [0x80001518]:sw a2, 916(sp)<br>    |
| 249|[0x800053f4]<br>0xFFFF4AFC|- rs1_val==-46340 and rs2_val==-46339<br>                                                                                                                                  |[0x8000152c]:and a2, a0, a1<br> [0x80001530]:sw a2, 920(sp)<br>    |
| 250|[0x800053f8]<br>0x00000004|- rs1_val==-46340 and rs2_val==46341<br>                                                                                                                                   |[0x80001544]:and a2, a0, a1<br> [0x80001548]:sw a2, 924(sp)<br>    |
| 251|[0x800053fc]<br>0x00000000|- rs1_val==46340 and rs2_val==3<br>                                                                                                                                        |[0x80001558]:and a2, a0, a1<br> [0x8000155c]:sw a2, 928(sp)<br>    |
| 252|[0x80005400]<br>0x00001504|- rs1_val==46340 and rs2_val==1431655765<br>                                                                                                                               |[0x80001570]:and a2, a0, a1<br> [0x80001574]:sw a2, 932(sp)<br>    |
| 253|[0x80005404]<br>0x0000A000|- rs1_val==46340 and rs2_val==-1431655766<br>                                                                                                                              |[0x80001588]:and a2, a0, a1<br> [0x8000158c]:sw a2, 936(sp)<br>    |
| 254|[0x80005408]<br>0x00000004|- rs1_val==46340 and rs2_val==5<br>                                                                                                                                        |[0x8000159c]:and a2, a0, a1<br> [0x800015a0]:sw a2, 940(sp)<br>    |
| 255|[0x8000540c]<br>0x00003100|- rs1_val==46340 and rs2_val==858993459<br>                                                                                                                                |[0x800015b4]:and a2, a0, a1<br> [0x800015b8]:sw a2, 944(sp)<br>    |
| 256|[0x80005410]<br>0x00002404|- rs1_val==46340 and rs2_val==1717986918<br>                                                                                                                               |[0x800015cc]:and a2, a0, a1<br> [0x800015d0]:sw a2, 948(sp)<br>    |
| 257|[0x80005414]<br>0x00000004|- rs1_val==46340 and rs2_val==-46340<br>                                                                                                                                   |[0x800015e4]:and a2, a0, a1<br> [0x800015e8]:sw a2, 952(sp)<br>    |
| 258|[0x80005418]<br>0x0000B504|- rs1_val==46340 and rs2_val==46340<br>                                                                                                                                    |[0x800015fc]:and a2, a0, a1<br> [0x80001600]:sw a2, 956(sp)<br>    |
| 259|[0x8000541c]<br>0x00000000|- rs1_val==46340 and rs2_val==2<br>                                                                                                                                        |[0x80001610]:and a2, a0, a1<br> [0x80001614]:sw a2, 960(sp)<br>    |
| 260|[0x80005420]<br>0x00001504|- rs1_val==46340 and rs2_val==1431655764<br>                                                                                                                               |[0x80001628]:and a2, a0, a1<br> [0x8000162c]:sw a2, 964(sp)<br>    |
| 261|[0x80005424]<br>0x00000000|- rs1_val==46340 and rs2_val==0<br>                                                                                                                                        |[0x8000163c]:and a2, a0, a1<br> [0x80001640]:sw a2, 968(sp)<br>    |
| 262|[0x80005428]<br>0x00000004|- rs1_val==46340 and rs2_val==4<br>                                                                                                                                        |[0x80001650]:and a2, a0, a1<br> [0x80001654]:sw a2, 972(sp)<br>    |
| 263|[0x8000542c]<br>0x00003100|- rs1_val==46340 and rs2_val==858993458<br>                                                                                                                                |[0x80001668]:and a2, a0, a1<br> [0x8000166c]:sw a2, 976(sp)<br>    |
| 264|[0x80005430]<br>0x00002404|- rs1_val==46340 and rs2_val==1717986917<br>                                                                                                                               |[0x80001680]:and a2, a0, a1<br> [0x80001684]:sw a2, 980(sp)<br>    |
| 265|[0x80005434]<br>0x0000B500|- rs1_val==46340 and rs2_val==46339<br>                                                                                                                                    |[0x80001698]:and a2, a0, a1<br> [0x8000169c]:sw a2, 984(sp)<br>    |
| 266|[0x80005438]<br>0x00001504|- rs1_val==46340 and rs2_val==1431655766<br>                                                                                                                               |[0x800016b0]:and a2, a0, a1<br> [0x800016b4]:sw a2, 988(sp)<br>    |
| 267|[0x8000543c]<br>0x0000A000|- rs1_val==46340 and rs2_val==-1431655765<br>                                                                                                                              |[0x800016c8]:and a2, a0, a1<br> [0x800016cc]:sw a2, 992(sp)<br>    |
| 268|[0x80005440]<br>0x00000004|- rs1_val==46340 and rs2_val==6<br>                                                                                                                                        |[0x800016dc]:and a2, a0, a1<br> [0x800016e0]:sw a2, 996(sp)<br>    |
| 269|[0x80005444]<br>0x00003104|- rs1_val==46340 and rs2_val==858993460<br>                                                                                                                                |[0x800016f4]:and a2, a0, a1<br> [0x800016f8]:sw a2, 1000(sp)<br>   |
| 270|[0x80005448]<br>0x00002404|- rs1_val==46340 and rs2_val==1717986919<br>                                                                                                                               |[0x8000170c]:and a2, a0, a1<br> [0x80001710]:sw a2, 1004(sp)<br>   |
| 271|[0x8000544c]<br>0x00000004|- rs1_val==46340 and rs2_val==-46339<br>                                                                                                                                   |[0x80001724]:and a2, a0, a1<br> [0x80001728]:sw a2, 1008(sp)<br>   |
| 272|[0x80005450]<br>0x0000B504|- rs1_val==46340 and rs2_val==46341<br>                                                                                                                                    |[0x8000173c]:and a2, a0, a1<br> [0x80001740]:sw a2, 1012(sp)<br>   |
| 273|[0x80005454]<br>0x00000002|- rs1_val==2 and rs2_val==3<br>                                                                                                                                            |[0x8000174c]:and a2, a0, a1<br> [0x80001750]:sw a2, 1016(sp)<br>   |
| 274|[0x80005458]<br>0x00000000|- rs1_val==2 and rs2_val==1431655765<br>                                                                                                                                   |[0x80001760]:and a2, a0, a1<br> [0x80001764]:sw a2, 1020(sp)<br>   |
| 275|[0x8000545c]<br>0x00000002|- rs1_val==2 and rs2_val==-1431655766<br>                                                                                                                                  |[0x80001774]:and a2, a0, a1<br> [0x80001778]:sw a2, 1024(sp)<br>   |
| 276|[0x80005460]<br>0x00000000|- rs1_val==2 and rs2_val==5<br>                                                                                                                                            |[0x80001784]:and a2, a0, a1<br> [0x80001788]:sw a2, 1028(sp)<br>   |
| 277|[0x80005464]<br>0x00000002|- rs1_val==2 and rs2_val==858993459<br>                                                                                                                                    |[0x80001798]:and a2, a0, a1<br> [0x8000179c]:sw a2, 1032(sp)<br>   |
| 278|[0x80005468]<br>0x00000002|- rs1_val==2 and rs2_val==1717986918<br>                                                                                                                                   |[0x800017ac]:and a2, a0, a1<br> [0x800017b0]:sw a2, 1036(sp)<br>   |
| 279|[0x8000546c]<br>0x00000000|- rs1_val==2 and rs2_val==-46340<br>                                                                                                                                       |[0x800017c0]:and a2, a0, a1<br> [0x800017c4]:sw a2, 1040(sp)<br>   |
| 280|[0x80005470]<br>0x00000000|- rs1_val==2 and rs2_val==46340<br>                                                                                                                                        |[0x800017d4]:and a2, a0, a1<br> [0x800017d8]:sw a2, 1044(sp)<br>   |
| 281|[0x80005474]<br>0x00000002|- rs1_val==2 and rs2_val==2<br>                                                                                                                                            |[0x800017e4]:and a2, a0, a1<br> [0x800017e8]:sw a2, 1048(sp)<br>   |
| 282|[0x80005478]<br>0x00000000|- rs1_val==2 and rs2_val==1431655764<br>                                                                                                                                   |[0x800017f8]:and a2, a0, a1<br> [0x800017fc]:sw a2, 1052(sp)<br>   |
| 283|[0x8000547c]<br>0x00000000|- rs1_val==2 and rs2_val==0<br>                                                                                                                                            |[0x80001808]:and a2, a0, a1<br> [0x8000180c]:sw a2, 1056(sp)<br>   |
| 284|[0x80005480]<br>0x00000000|- rs1_val==2 and rs2_val==4<br>                                                                                                                                            |[0x80001818]:and a2, a0, a1<br> [0x8000181c]:sw a2, 1060(sp)<br>   |
| 285|[0x80005484]<br>0x00000002|- rs1_val==2 and rs2_val==858993458<br>                                                                                                                                    |[0x8000182c]:and a2, a0, a1<br> [0x80001830]:sw a2, 1064(sp)<br>   |
| 286|[0x80005488]<br>0x00000000|- rs1_val==2 and rs2_val==1717986917<br>                                                                                                                                   |[0x80001840]:and a2, a0, a1<br> [0x80001844]:sw a2, 1068(sp)<br>   |
| 287|[0x8000548c]<br>0x00000002|- rs1_val==2 and rs2_val==46339<br>                                                                                                                                        |[0x80001854]:and a2, a0, a1<br> [0x80001858]:sw a2, 1072(sp)<br>   |
| 288|[0x80005490]<br>0x00000002|- rs1_val==2 and rs2_val==1431655766<br>                                                                                                                                   |[0x80001868]:and a2, a0, a1<br> [0x8000186c]:sw a2, 1076(sp)<br>   |
| 289|[0x80005494]<br>0x00000002|- rs1_val==2 and rs2_val==-1431655765<br>                                                                                                                                  |[0x8000187c]:and a2, a0, a1<br> [0x80001880]:sw a2, 1080(sp)<br>   |
| 290|[0x80005498]<br>0x00000002|- rs1_val==2 and rs2_val==6<br>                                                                                                                                            |[0x8000188c]:and a2, a0, a1<br> [0x80001890]:sw a2, 1084(sp)<br>   |
| 291|[0x8000549c]<br>0x00000000|- rs1_val==2 and rs2_val==858993460<br>                                                                                                                                    |[0x800018a0]:and a2, a0, a1<br> [0x800018a4]:sw a2, 1088(sp)<br>   |
| 292|[0x800054a0]<br>0x00000002|- rs1_val==2 and rs2_val==1717986919<br>                                                                                                                                   |[0x800018b4]:and a2, a0, a1<br> [0x800018b8]:sw a2, 1092(sp)<br>   |
| 293|[0x800054a4]<br>0x00000000|- rs1_val==2 and rs2_val==-46339<br>                                                                                                                                       |[0x800018c8]:and a2, a0, a1<br> [0x800018cc]:sw a2, 1096(sp)<br>   |
| 294|[0x800054a8]<br>0x00000000|- rs1_val==2 and rs2_val==46341<br>                                                                                                                                        |[0x800018dc]:and a2, a0, a1<br> [0x800018e0]:sw a2, 1100(sp)<br>   |
| 295|[0x800054ac]<br>0x00000000|- rs1_val==1431655764 and rs2_val==3<br>                                                                                                                                   |[0x800018f0]:and a2, a0, a1<br> [0x800018f4]:sw a2, 1104(sp)<br>   |
| 296|[0x800054b0]<br>0x55555554|- rs1_val==1431655764 and rs2_val==1431655765<br>                                                                                                                          |[0x80001908]:and a2, a0, a1<br> [0x8000190c]:sw a2, 1108(sp)<br>   |
| 297|[0x800054b4]<br>0x00000000|- rs1_val==1431655764 and rs2_val==-1431655766<br>                                                                                                                         |[0x80001920]:and a2, a0, a1<br> [0x80001924]:sw a2, 1112(sp)<br>   |
| 298|[0x800054b8]<br>0x00000004|- rs1_val==1431655764 and rs2_val==5<br>                                                                                                                                   |[0x80001934]:and a2, a0, a1<br> [0x80001938]:sw a2, 1116(sp)<br>   |
| 299|[0x800054bc]<br>0x11111110|- rs1_val==1431655764 and rs2_val==858993459<br>                                                                                                                           |[0x8000194c]:and a2, a0, a1<br> [0x80001950]:sw a2, 1120(sp)<br>   |
| 300|[0x800054c0]<br>0x44444444|- rs1_val==1431655764 and rs2_val==1717986918<br>                                                                                                                          |[0x80001964]:and a2, a0, a1<br> [0x80001968]:sw a2, 1124(sp)<br>   |
| 301|[0x800054c4]<br>0x55554054|- rs1_val==1431655764 and rs2_val==-46340<br>                                                                                                                              |[0x8000197c]:and a2, a0, a1<br> [0x80001980]:sw a2, 1128(sp)<br>   |
| 302|[0x800054c8]<br>0x00001504|- rs1_val==1431655764 and rs2_val==46340<br>                                                                                                                               |[0x80001994]:and a2, a0, a1<br> [0x80001998]:sw a2, 1132(sp)<br>   |
| 303|[0x800054cc]<br>0x00000000|- rs1_val==1431655764 and rs2_val==2<br>                                                                                                                                   |[0x800019a8]:and a2, a0, a1<br> [0x800019ac]:sw a2, 1136(sp)<br>   |
| 304|[0x800054d0]<br>0x55555554|- rs1_val==1431655764 and rs2_val==1431655764<br>                                                                                                                          |[0x800019c0]:and a2, a0, a1<br> [0x800019c4]:sw a2, 1140(sp)<br>   |
| 305|[0x800054d4]<br>0x00000000|- rs1_val==1431655764 and rs2_val==0<br>                                                                                                                                   |[0x800019d4]:and a2, a0, a1<br> [0x800019d8]:sw a2, 1144(sp)<br>   |
| 306|[0x800054d8]<br>0x00000004|- rs1_val==1431655764 and rs2_val==4<br>                                                                                                                                   |[0x800019e8]:and a2, a0, a1<br> [0x800019ec]:sw a2, 1148(sp)<br>   |
| 307|[0x800054dc]<br>0x11111110|- rs1_val==1431655764 and rs2_val==858993458<br>                                                                                                                           |[0x80001a00]:and a2, a0, a1<br> [0x80001a04]:sw a2, 1152(sp)<br>   |
| 308|[0x800054e0]<br>0x44444444|- rs1_val==1431655764 and rs2_val==1717986917<br>                                                                                                                          |[0x80001a18]:and a2, a0, a1<br> [0x80001a1c]:sw a2, 1156(sp)<br>   |
| 309|[0x800054e4]<br>0x00001500|- rs1_val==1431655764 and rs2_val==46339<br>                                                                                                                               |[0x80001a30]:and a2, a0, a1<br> [0x80001a34]:sw a2, 1160(sp)<br>   |
| 310|[0x800054e8]<br>0x55555554|- rs1_val==1431655764 and rs2_val==1431655766<br>                                                                                                                          |[0x80001a48]:and a2, a0, a1<br> [0x80001a4c]:sw a2, 1164(sp)<br>   |
| 311|[0x800054ec]<br>0x00000000|- rs1_val==1431655764 and rs2_val==-1431655765<br>                                                                                                                         |[0x80001a60]:and a2, a0, a1<br> [0x80001a64]:sw a2, 1168(sp)<br>   |
| 312|[0x800054f0]<br>0x00000004|- rs1_val==1431655764 and rs2_val==6<br>                                                                                                                                   |[0x80001a74]:and a2, a0, a1<br> [0x80001a78]:sw a2, 1172(sp)<br>   |
| 313|[0x800054f4]<br>0x11111114|- rs1_val==1431655764 and rs2_val==858993460<br>                                                                                                                           |[0x80001a8c]:and a2, a0, a1<br> [0x80001a90]:sw a2, 1176(sp)<br>   |
| 314|[0x800054f8]<br>0x44444444|- rs1_val==1431655764 and rs2_val==1717986919<br>                                                                                                                          |[0x80001aa4]:and a2, a0, a1<br> [0x80001aa8]:sw a2, 1180(sp)<br>   |
| 315|[0x800054fc]<br>0x55554054|- rs1_val==1431655764 and rs2_val==-46339<br>                                                                                                                              |[0x80001abc]:and a2, a0, a1<br> [0x80001ac0]:sw a2, 1184(sp)<br>   |
| 316|[0x80005500]<br>0x00001504|- rs1_val==1431655764 and rs2_val==46341<br>                                                                                                                               |[0x80001ad4]:and a2, a0, a1<br> [0x80001ad8]:sw a2, 1188(sp)<br>   |
| 317|[0x80005504]<br>0x00000000|- rs1_val==0 and rs2_val==3<br>                                                                                                                                            |[0x80001ae4]:and a2, a0, a1<br> [0x80001ae8]:sw a2, 1192(sp)<br>   |
| 318|[0x80005508]<br>0x00000000|- rs1_val==0 and rs2_val==1431655765<br>                                                                                                                                   |[0x80001af8]:and a2, a0, a1<br> [0x80001afc]:sw a2, 1196(sp)<br>   |
| 319|[0x8000550c]<br>0x00000000|- rs1_val==0 and rs2_val==-1431655766<br>                                                                                                                                  |[0x80001b0c]:and a2, a0, a1<br> [0x80001b10]:sw a2, 1200(sp)<br>   |
| 320|[0x80005510]<br>0x00000000|- rs1_val==0 and rs2_val==5<br>                                                                                                                                            |[0x80001b1c]:and a2, a0, a1<br> [0x80001b20]:sw a2, 1204(sp)<br>   |
| 321|[0x80005514]<br>0x00000000|- rs1_val==0 and rs2_val==858993459<br>                                                                                                                                    |[0x80001b30]:and a2, a0, a1<br> [0x80001b34]:sw a2, 1208(sp)<br>   |
| 322|[0x80005518]<br>0x00000000|- rs1_val==0 and rs2_val==1717986918<br>                                                                                                                                   |[0x80001b44]:and a2, a0, a1<br> [0x80001b48]:sw a2, 1212(sp)<br>   |
| 323|[0x8000551c]<br>0x00000000|- rs1_val==0 and rs2_val==-46340<br>                                                                                                                                       |[0x80001b58]:and a2, a0, a1<br> [0x80001b5c]:sw a2, 1216(sp)<br>   |
| 324|[0x80005520]<br>0x00000000|- rs1_val==0 and rs2_val==46340<br>                                                                                                                                        |[0x80001b6c]:and a2, a0, a1<br> [0x80001b70]:sw a2, 1220(sp)<br>   |
| 325|[0x80005524]<br>0x00000000|- rs1_val==0 and rs2_val==2<br>                                                                                                                                            |[0x80001b7c]:and a2, a0, a1<br> [0x80001b80]:sw a2, 1224(sp)<br>   |
| 326|[0x80005528]<br>0xAAAAAAAB|- rs1_val==-1431655765 and rs2_val==-1431655765<br>                                                                                                                        |[0x80001b94]:and a2, a0, a1<br> [0x80001b98]:sw a2, 1228(sp)<br>   |
| 327|[0x8000552c]<br>0x00000002|- rs1_val==-1431655765 and rs2_val==6<br>                                                                                                                                  |[0x80001ba8]:and a2, a0, a1<br> [0x80001bac]:sw a2, 1232(sp)<br>   |
| 328|[0x80005530]<br>0x22222220|- rs1_val==-1431655765 and rs2_val==858993460<br>                                                                                                                          |[0x80001bc0]:and a2, a0, a1<br> [0x80001bc4]:sw a2, 1236(sp)<br>   |
| 329|[0x80005534]<br>0x22222223|- rs1_val==-1431655765 and rs2_val==1717986919<br>                                                                                                                         |[0x80001bd8]:and a2, a0, a1<br> [0x80001bdc]:sw a2, 1240(sp)<br>   |
| 330|[0x80005538]<br>0xAAAA0AA9|- rs1_val==-1431655765 and rs2_val==-46339<br>                                                                                                                             |[0x80001bf0]:and a2, a0, a1<br> [0x80001bf4]:sw a2, 1244(sp)<br>   |
| 331|[0x8000553c]<br>0x0000A001|- rs1_val==-1431655765 and rs2_val==46341<br>                                                                                                                              |[0x80001c08]:and a2, a0, a1<br> [0x80001c0c]:sw a2, 1248(sp)<br>   |
| 332|[0x80005540]<br>0x00000002|- rs1_val==6 and rs2_val==3<br>                                                                                                                                            |[0x80001c18]:and a2, a0, a1<br> [0x80001c1c]:sw a2, 1252(sp)<br>   |
| 333|[0x80005544]<br>0x00000004|- rs1_val==6 and rs2_val==1431655765<br>                                                                                                                                   |[0x80001c2c]:and a2, a0, a1<br> [0x80001c30]:sw a2, 1256(sp)<br>   |
| 334|[0x80005548]<br>0x00000002|- rs1_val==6 and rs2_val==-1431655766<br>                                                                                                                                  |[0x80001c40]:and a2, a0, a1<br> [0x80001c44]:sw a2, 1260(sp)<br>   |
| 335|[0x8000554c]<br>0x00000004|- rs1_val==6 and rs2_val==5<br>                                                                                                                                            |[0x80001c50]:and a2, a0, a1<br> [0x80001c54]:sw a2, 1264(sp)<br>   |
| 336|[0x80005550]<br>0x00000002|- rs1_val==6 and rs2_val==858993459<br>                                                                                                                                    |[0x80001c64]:and a2, a0, a1<br> [0x80001c68]:sw a2, 1268(sp)<br>   |
| 337|[0x80005554]<br>0x00000006|- rs1_val==6 and rs2_val==1717986918<br>                                                                                                                                   |[0x80001c78]:and a2, a0, a1<br> [0x80001c7c]:sw a2, 1272(sp)<br>   |
| 338|[0x80005558]<br>0x00000004|- rs1_val==6 and rs2_val==-46340<br>                                                                                                                                       |[0x80001c8c]:and a2, a0, a1<br> [0x80001c90]:sw a2, 1276(sp)<br>   |
| 339|[0x8000555c]<br>0x00000004|- rs1_val==6 and rs2_val==46340<br>                                                                                                                                        |[0x80001ca0]:and a2, a0, a1<br> [0x80001ca4]:sw a2, 1280(sp)<br>   |
| 340|[0x80005560]<br>0x00000002|- rs1_val==6 and rs2_val==2<br>                                                                                                                                            |[0x80001cb0]:and a2, a0, a1<br> [0x80001cb4]:sw a2, 1284(sp)<br>   |
| 341|[0x80005564]<br>0x00000004|- rs1_val==6 and rs2_val==1431655764<br>                                                                                                                                   |[0x80001cc4]:and a2, a0, a1<br> [0x80001cc8]:sw a2, 1288(sp)<br>   |
| 342|[0x80005568]<br>0x00000000|- rs1_val==6 and rs2_val==0<br>                                                                                                                                            |[0x80001cd4]:and a2, a0, a1<br> [0x80001cd8]:sw a2, 1292(sp)<br>   |
| 343|[0x8000556c]<br>0x00000004|- rs1_val==6 and rs2_val==4<br>                                                                                                                                            |[0x80001ce4]:and a2, a0, a1<br> [0x80001ce8]:sw a2, 1296(sp)<br>   |
| 344|[0x80005570]<br>0x00000002|- rs1_val==6 and rs2_val==858993458<br>                                                                                                                                    |[0x80001cf8]:and a2, a0, a1<br> [0x80001cfc]:sw a2, 1300(sp)<br>   |
| 345|[0x80005574]<br>0x00000004|- rs1_val==6 and rs2_val==1717986917<br>                                                                                                                                   |[0x80001d0c]:and a2, a0, a1<br> [0x80001d10]:sw a2, 1304(sp)<br>   |
| 346|[0x80005578]<br>0x00000002|- rs1_val==6 and rs2_val==46339<br>                                                                                                                                        |[0x80001d20]:and a2, a0, a1<br> [0x80001d24]:sw a2, 1308(sp)<br>   |
| 347|[0x8000557c]<br>0x00000006|- rs1_val==6 and rs2_val==1431655766<br>                                                                                                                                   |[0x80001d34]:and a2, a0, a1<br> [0x80001d38]:sw a2, 1312(sp)<br>   |
| 348|[0x80005580]<br>0x00000002|- rs1_val==6 and rs2_val==-1431655765<br>                                                                                                                                  |[0x80001d48]:and a2, a0, a1<br> [0x80001d4c]:sw a2, 1316(sp)<br>   |
| 349|[0x80005584]<br>0x00000006|- rs1_val==6 and rs2_val==6<br>                                                                                                                                            |[0x80001d58]:and a2, a0, a1<br> [0x80001d5c]:sw a2, 1320(sp)<br>   |
| 350|[0x80005588]<br>0x00000004|- rs1_val==6 and rs2_val==858993460<br>                                                                                                                                    |[0x80001d6c]:and a2, a0, a1<br> [0x80001d70]:sw a2, 1324(sp)<br>   |
| 351|[0x8000558c]<br>0x00000006|- rs1_val==6 and rs2_val==1717986919<br>                                                                                                                                   |[0x80001d80]:and a2, a0, a1<br> [0x80001d84]:sw a2, 1328(sp)<br>   |
| 352|[0x80005590]<br>0x00000004|- rs1_val==6 and rs2_val==-46339<br>                                                                                                                                       |[0x80001d94]:and a2, a0, a1<br> [0x80001d98]:sw a2, 1332(sp)<br>   |
| 353|[0x80005594]<br>0x00000004|- rs1_val==6 and rs2_val==46341<br>                                                                                                                                        |[0x80001da8]:and a2, a0, a1<br> [0x80001dac]:sw a2, 1336(sp)<br>   |
| 354|[0x80005598]<br>0x00000000|- rs1_val==858993460 and rs2_val==3<br>                                                                                                                                    |[0x80001dbc]:and a2, a0, a1<br> [0x80001dc0]:sw a2, 1340(sp)<br>   |
| 355|[0x8000559c]<br>0x11111114|- rs1_val==858993460 and rs2_val==1431655765<br>                                                                                                                           |[0x80001dd4]:and a2, a0, a1<br> [0x80001dd8]:sw a2, 1344(sp)<br>   |
| 356|[0x800055a0]<br>0x22222220|- rs1_val==858993460 and rs2_val==-1431655766<br>                                                                                                                          |[0x80001dec]:and a2, a0, a1<br> [0x80001df0]:sw a2, 1348(sp)<br>   |
| 357|[0x800055a4]<br>0x00000004|- rs1_val==858993460 and rs2_val==5<br>                                                                                                                                    |[0x80001e00]:and a2, a0, a1<br> [0x80001e04]:sw a2, 1352(sp)<br>   |
| 358|[0x800055a8]<br>0x33333330|- rs1_val==858993460 and rs2_val==858993459<br>                                                                                                                            |[0x80001e18]:and a2, a0, a1<br> [0x80001e1c]:sw a2, 1356(sp)<br>   |
| 359|[0x800055ac]<br>0x22222224|- rs1_val==858993460 and rs2_val==1717986918<br>                                                                                                                           |[0x80001e30]:and a2, a0, a1<br> [0x80001e34]:sw a2, 1360(sp)<br>   |
| 360|[0x800055b0]<br>0x33330234|- rs1_val==858993460 and rs2_val==-46340<br>                                                                                                                               |[0x80001e48]:and a2, a0, a1<br> [0x80001e4c]:sw a2, 1364(sp)<br>   |
| 361|[0x800055b4]<br>0x00003104|- rs1_val==858993460 and rs2_val==46340<br>                                                                                                                                |[0x80001e60]:and a2, a0, a1<br> [0x80001e64]:sw a2, 1368(sp)<br>   |
| 362|[0x800055b8]<br>0x00000000|- rs1_val==858993460 and rs2_val==2<br>                                                                                                                                    |[0x80001e74]:and a2, a0, a1<br> [0x80001e78]:sw a2, 1372(sp)<br>   |
| 363|[0x800055bc]<br>0x11111114|- rs1_val==858993460 and rs2_val==1431655764<br>                                                                                                                           |[0x80001e8c]:and a2, a0, a1<br> [0x80001e90]:sw a2, 1376(sp)<br>   |
| 364|[0x800055c0]<br>0x00000000|- rs1_val==858993460 and rs2_val==0<br>                                                                                                                                    |[0x80001ea0]:and a2, a0, a1<br> [0x80001ea4]:sw a2, 1380(sp)<br>   |
| 365|[0x800055c4]<br>0x00000004|- rs1_val==858993460 and rs2_val==4<br>                                                                                                                                    |[0x80001eb4]:and a2, a0, a1<br> [0x80001eb8]:sw a2, 1384(sp)<br>   |
| 366|[0x800055c8]<br>0x33333330|- rs1_val==858993460 and rs2_val==858993458<br>                                                                                                                            |[0x80001ecc]:and a2, a0, a1<br> [0x80001ed0]:sw a2, 1388(sp)<br>   |
| 367|[0x800055cc]<br>0x22222224|- rs1_val==858993460 and rs2_val==1717986917<br>                                                                                                                           |[0x80001ee4]:and a2, a0, a1<br> [0x80001ee8]:sw a2, 1392(sp)<br>   |
| 368|[0x800055d0]<br>0x00003100|- rs1_val==858993460 and rs2_val==46339<br>                                                                                                                                |[0x80001efc]:and a2, a0, a1<br> [0x80001f00]:sw a2, 1396(sp)<br>   |
| 369|[0x800055d4]<br>0x11111114|- rs1_val==858993460 and rs2_val==1431655766<br>                                                                                                                           |[0x80001f14]:and a2, a0, a1<br> [0x80001f18]:sw a2, 1400(sp)<br>   |
| 370|[0x800055d8]<br>0x22222220|- rs1_val==858993460 and rs2_val==-1431655765<br>                                                                                                                          |[0x80001f2c]:and a2, a0, a1<br> [0x80001f30]:sw a2, 1404(sp)<br>   |
| 371|[0x800055dc]<br>0x00000004|- rs1_val==858993460 and rs2_val==6<br>                                                                                                                                    |[0x80001f40]:and a2, a0, a1<br> [0x80001f44]:sw a2, 1408(sp)<br>   |
| 372|[0x800055e0]<br>0x33333334|- rs1_val==858993460 and rs2_val==858993460<br>                                                                                                                            |[0x80001f58]:and a2, a0, a1<br> [0x80001f5c]:sw a2, 1412(sp)<br>   |
| 373|[0x800055e4]<br>0x22222224|- rs1_val==858993460 and rs2_val==1717986919<br>                                                                                                                           |[0x80001f70]:and a2, a0, a1<br> [0x80001f74]:sw a2, 1416(sp)<br>   |
| 374|[0x800055e8]<br>0x33330234|- rs1_val==858993460 and rs2_val==-46339<br>                                                                                                                               |[0x80001f88]:and a2, a0, a1<br> [0x80001f8c]:sw a2, 1420(sp)<br>   |
| 375|[0x800055ec]<br>0x00003104|- rs1_val==858993460 and rs2_val==46341<br>                                                                                                                                |[0x80001fa0]:and a2, a0, a1<br> [0x80001fa4]:sw a2, 1424(sp)<br>   |
| 376|[0x800055f0]<br>0x00000003|- rs1_val==1717986919 and rs2_val==3<br>                                                                                                                                   |[0x80001fb4]:and a2, a0, a1<br> [0x80001fb8]:sw a2, 1428(sp)<br>   |
| 377|[0x800055f4]<br>0x44444445|- rs1_val==1717986919 and rs2_val==1431655765<br>                                                                                                                          |[0x80001fcc]:and a2, a0, a1<br> [0x80001fd0]:sw a2, 1432(sp)<br>   |
| 378|[0x800055f8]<br>0x22222222|- rs1_val==1717986919 and rs2_val==-1431655766<br>                                                                                                                         |[0x80001fe4]:and a2, a0, a1<br> [0x80001fe8]:sw a2, 1436(sp)<br>   |
| 379|[0x800055fc]<br>0x00000005|- rs1_val==1717986919 and rs2_val==5<br>                                                                                                                                   |[0x80001ff8]:and a2, a0, a1<br> [0x80001ffc]:sw a2, 1440(sp)<br>   |
| 380|[0x80005600]<br>0x22222223|- rs1_val==1717986919 and rs2_val==858993459<br>                                                                                                                           |[0x80002010]:and a2, a0, a1<br> [0x80002014]:sw a2, 1444(sp)<br>   |
| 381|[0x80005604]<br>0x66666666|- rs1_val==1717986919 and rs2_val==1717986918<br>                                                                                                                          |[0x80002028]:and a2, a0, a1<br> [0x8000202c]:sw a2, 1448(sp)<br>   |
| 382|[0x80005608]<br>0x66664264|- rs1_val==1717986919 and rs2_val==-46340<br>                                                                                                                              |[0x80002040]:and a2, a0, a1<br> [0x80002044]:sw a2, 1452(sp)<br>   |
| 383|[0x8000560c]<br>0x00002404|- rs1_val==1717986919 and rs2_val==46340<br>                                                                                                                               |[0x80002058]:and a2, a0, a1<br> [0x8000205c]:sw a2, 1456(sp)<br>   |
| 384|[0x80005610]<br>0x00000002|- rs1_val==1717986919 and rs2_val==2<br>                                                                                                                                   |[0x8000206c]:and a2, a0, a1<br> [0x80002070]:sw a2, 1460(sp)<br>   |
| 385|[0x80005614]<br>0x44444444|- rs1_val==1717986919 and rs2_val==1431655764<br>                                                                                                                          |[0x80002084]:and a2, a0, a1<br> [0x80002088]:sw a2, 1464(sp)<br>   |
| 386|[0x80005618]<br>0x00000000|- rs1_val==1717986919 and rs2_val==0<br>                                                                                                                                   |[0x80002098]:and a2, a0, a1<br> [0x8000209c]:sw a2, 1468(sp)<br>   |
| 387|[0x8000561c]<br>0x00000004|- rs1_val==1717986919 and rs2_val==4<br>                                                                                                                                   |[0x800020ac]:and a2, a0, a1<br> [0x800020b0]:sw a2, 1472(sp)<br>   |
| 388|[0x80005620]<br>0x22222222|- rs1_val==1717986919 and rs2_val==858993458<br>                                                                                                                           |[0x800020c4]:and a2, a0, a1<br> [0x800020c8]:sw a2, 1476(sp)<br>   |
| 389|[0x80005624]<br>0x66666665|- rs1_val==1717986919 and rs2_val==1717986917<br>                                                                                                                          |[0x800020dc]:and a2, a0, a1<br> [0x800020e0]:sw a2, 1480(sp)<br>   |
| 390|[0x80005628]<br>0x00002403|- rs1_val==1717986919 and rs2_val==46339<br>                                                                                                                               |[0x800020f4]:and a2, a0, a1<br> [0x800020f8]:sw a2, 1484(sp)<br>   |
| 391|[0x8000562c]<br>0x44444446|- rs1_val==1717986919 and rs2_val==1431655766<br>                                                                                                                          |[0x8000210c]:and a2, a0, a1<br> [0x80002110]:sw a2, 1488(sp)<br>   |
| 392|[0x80005630]<br>0x22222223|- rs1_val==1717986919 and rs2_val==-1431655765<br>                                                                                                                         |[0x80002124]:and a2, a0, a1<br> [0x80002128]:sw a2, 1492(sp)<br>   |
| 393|[0x80005634]<br>0x00000006|- rs1_val==1717986919 and rs2_val==6<br>                                                                                                                                   |[0x80002138]:and a2, a0, a1<br> [0x8000213c]:sw a2, 1496(sp)<br>   |
| 394|[0x80005638]<br>0x22222224|- rs1_val==1717986919 and rs2_val==858993460<br>                                                                                                                           |[0x80002150]:and a2, a0, a1<br> [0x80002154]:sw a2, 1500(sp)<br>   |
| 395|[0x8000563c]<br>0x66666667|- rs1_val==1717986919 and rs2_val==1717986919<br>                                                                                                                          |[0x80002168]:and a2, a0, a1<br> [0x8000216c]:sw a2, 1504(sp)<br>   |
| 396|[0x80005640]<br>0x66664265|- rs1_val==1717986919 and rs2_val==-46339<br>                                                                                                                              |[0x80002180]:and a2, a0, a1<br> [0x80002184]:sw a2, 1508(sp)<br>   |
| 397|[0x80005644]<br>0x00002405|- rs1_val==1717986919 and rs2_val==46341<br>                                                                                                                               |[0x80002198]:and a2, a0, a1<br> [0x8000219c]:sw a2, 1512(sp)<br>   |
| 398|[0x80005648]<br>0x00000001|- rs1_val==-46339 and rs2_val==3<br>                                                                                                                                       |[0x800021ac]:and a2, a0, a1<br> [0x800021b0]:sw a2, 1516(sp)<br>   |
| 399|[0x8000564c]<br>0x55554055|- rs1_val==-46339 and rs2_val==1431655765<br>                                                                                                                              |[0x800021c4]:and a2, a0, a1<br> [0x800021c8]:sw a2, 1520(sp)<br>   |
| 400|[0x80005650]<br>0xAAAA0AA8|- rs1_val==-46339 and rs2_val==-1431655766<br>                                                                                                                             |[0x800021dc]:and a2, a0, a1<br> [0x800021e0]:sw a2, 1524(sp)<br>   |
| 401|[0x80005654]<br>0x00000005|- rs1_val==-46339 and rs2_val==5<br>                                                                                                                                       |[0x800021f0]:and a2, a0, a1<br> [0x800021f4]:sw a2, 1528(sp)<br>   |
| 402|[0x80005658]<br>0x33330231|- rs1_val==-46339 and rs2_val==858993459<br>                                                                                                                               |[0x80002208]:and a2, a0, a1<br> [0x8000220c]:sw a2, 1532(sp)<br>   |
| 403|[0x8000565c]<br>0x66664264|- rs1_val==-46339 and rs2_val==1717986918<br>                                                                                                                              |[0x80002220]:and a2, a0, a1<br> [0x80002224]:sw a2, 1536(sp)<br>   |
| 404|[0x80005660]<br>0xFFFF4AFC|- rs1_val==-46339 and rs2_val==-46340<br>                                                                                                                                  |[0x80002238]:and a2, a0, a1<br> [0x8000223c]:sw a2, 1540(sp)<br>   |
| 405|[0x80005664]<br>0x00000004|- rs1_val==-46339 and rs2_val==46340<br>                                                                                                                                   |[0x80002250]:and a2, a0, a1<br> [0x80002254]:sw a2, 1544(sp)<br>   |
| 406|[0x80005668]<br>0x00000000|- rs1_val==-46339 and rs2_val==2<br>                                                                                                                                       |[0x80002264]:and a2, a0, a1<br> [0x80002268]:sw a2, 1548(sp)<br>   |
| 407|[0x8000566c]<br>0x55554054|- rs1_val==-46339 and rs2_val==1431655764<br>                                                                                                                              |[0x8000227c]:and a2, a0, a1<br> [0x80002280]:sw a2, 1552(sp)<br>   |
| 408|[0x80005670]<br>0x00000000|- rs1_val==-46339 and rs2_val==0<br>                                                                                                                                       |[0x80002290]:and a2, a0, a1<br> [0x80002294]:sw a2, 1556(sp)<br>   |
| 409|[0x80005674]<br>0x00000004|- rs1_val==-46339 and rs2_val==4<br>                                                                                                                                       |[0x800022a4]:and a2, a0, a1<br> [0x800022a8]:sw a2, 1560(sp)<br>   |
| 410|[0x80005678]<br>0x33330230|- rs1_val==-46339 and rs2_val==858993458<br>                                                                                                                               |[0x800022bc]:and a2, a0, a1<br> [0x800022c0]:sw a2, 1564(sp)<br>   |
| 411|[0x8000567c]<br>0x66664265|- rs1_val==-46339 and rs2_val==1717986917<br>                                                                                                                              |[0x800022d4]:and a2, a0, a1<br> [0x800022d8]:sw a2, 1568(sp)<br>   |
| 412|[0x80005680]<br>0x00000001|- rs1_val==-46339 and rs2_val==46339<br>                                                                                                                                   |[0x800022ec]:and a2, a0, a1<br> [0x800022f0]:sw a2, 1572(sp)<br>   |
| 413|[0x80005684]<br>0x55554054|- rs1_val==-46339 and rs2_val==1431655766<br>                                                                                                                              |[0x80002304]:and a2, a0, a1<br> [0x80002308]:sw a2, 1576(sp)<br>   |
| 414|[0x80005688]<br>0xAAAA0AA9|- rs1_val==-46339 and rs2_val==-1431655765<br>                                                                                                                             |[0x8000231c]:and a2, a0, a1<br> [0x80002320]:sw a2, 1580(sp)<br>   |
| 415|[0x8000568c]<br>0x00000004|- rs1_val==-46339 and rs2_val==6<br>                                                                                                                                       |[0x80002330]:and a2, a0, a1<br> [0x80002334]:sw a2, 1584(sp)<br>   |
| 416|[0x80005690]<br>0x33330234|- rs1_val==-46339 and rs2_val==858993460<br>                                                                                                                               |[0x80002348]:and a2, a0, a1<br> [0x8000234c]:sw a2, 1588(sp)<br>   |
| 417|[0x80005694]<br>0x66664265|- rs1_val==-46339 and rs2_val==1717986919<br>                                                                                                                              |[0x80002360]:and a2, a0, a1<br> [0x80002364]:sw a2, 1592(sp)<br>   |
| 418|[0x80005698]<br>0xFFFF4AFD|- rs1_val==-46339 and rs2_val==-46339<br>                                                                                                                                  |[0x80002378]:and a2, a0, a1<br> [0x8000237c]:sw a2, 1596(sp)<br>   |
| 419|[0x8000569c]<br>0x00000005|- rs1_val==-46339 and rs2_val==46341<br>                                                                                                                                   |[0x80002390]:and a2, a0, a1<br> [0x80002394]:sw a2, 1600(sp)<br>   |
| 420|[0x800056a0]<br>0x00000001|- rs1_val==46341 and rs2_val==3<br>                                                                                                                                        |[0x800023a4]:and a2, a0, a1<br> [0x800023a8]:sw a2, 1604(sp)<br>   |
| 421|[0x800056a4]<br>0x00001505|- rs1_val==46341 and rs2_val==1431655765<br>                                                                                                                               |[0x800023bc]:and a2, a0, a1<br> [0x800023c0]:sw a2, 1608(sp)<br>   |
| 422|[0x800056a8]<br>0x0000A000|- rs1_val==46341 and rs2_val==-1431655766<br>                                                                                                                              |[0x800023d4]:and a2, a0, a1<br> [0x800023d8]:sw a2, 1612(sp)<br>   |
| 423|[0x800056ac]<br>0x00000005|- rs1_val==46341 and rs2_val==5<br>                                                                                                                                        |[0x800023e8]:and a2, a0, a1<br> [0x800023ec]:sw a2, 1616(sp)<br>   |
| 424|[0x800056b0]<br>0x00003101|- rs1_val==46341 and rs2_val==858993459<br>                                                                                                                                |[0x80002400]:and a2, a0, a1<br> [0x80002404]:sw a2, 1620(sp)<br>   |
| 425|[0x800056b4]<br>0x00002404|- rs1_val==46341 and rs2_val==1717986918<br>                                                                                                                               |[0x80002418]:and a2, a0, a1<br> [0x8000241c]:sw a2, 1624(sp)<br>   |
| 426|[0x800056b8]<br>0x00000004|- rs1_val==46341 and rs2_val==-46340<br>                                                                                                                                   |[0x80002430]:and a2, a0, a1<br> [0x80002434]:sw a2, 1628(sp)<br>   |
| 427|[0x800056bc]<br>0x0000B504|- rs1_val==46341 and rs2_val==46340<br>                                                                                                                                    |[0x80002448]:and a2, a0, a1<br> [0x8000244c]:sw a2, 1632(sp)<br>   |
| 428|[0x800056c0]<br>0x00000000|- rs1_val==46341 and rs2_val==2<br>                                                                                                                                        |[0x8000245c]:and a2, a0, a1<br> [0x80002460]:sw a2, 1636(sp)<br>   |
| 429|[0x800056c4]<br>0x00001504|- rs1_val==46341 and rs2_val==1431655764<br>                                                                                                                               |[0x80002474]:and a2, a0, a1<br> [0x80002478]:sw a2, 1640(sp)<br>   |
| 430|[0x800056c8]<br>0x00000000|- rs1_val==46341 and rs2_val==0<br>                                                                                                                                        |[0x80002488]:and a2, a0, a1<br> [0x8000248c]:sw a2, 1644(sp)<br>   |
| 431|[0x800056cc]<br>0x00000004|- rs1_val==46341 and rs2_val==4<br>                                                                                                                                        |[0x8000249c]:and a2, a0, a1<br> [0x800024a0]:sw a2, 1648(sp)<br>   |
| 432|[0x800056d0]<br>0x00003100|- rs1_val==46341 and rs2_val==858993458<br>                                                                                                                                |[0x800024b4]:and a2, a0, a1<br> [0x800024b8]:sw a2, 1652(sp)<br>   |
| 433|[0x800056d4]<br>0x00002405|- rs1_val==46341 and rs2_val==1717986917<br>                                                                                                                               |[0x800024cc]:and a2, a0, a1<br> [0x800024d0]:sw a2, 1656(sp)<br>   |
| 434|[0x800056d8]<br>0x0000B501|- rs1_val==46341 and rs2_val==46339<br>                                                                                                                                    |[0x800024e4]:and a2, a0, a1<br> [0x800024e8]:sw a2, 1660(sp)<br>   |
| 435|[0x800056dc]<br>0x00001504|- rs1_val==46341 and rs2_val==1431655766<br>                                                                                                                               |[0x800024fc]:and a2, a0, a1<br> [0x80002500]:sw a2, 1664(sp)<br>   |
| 436|[0x800056e0]<br>0x0000A001|- rs1_val==46341 and rs2_val==-1431655765<br>                                                                                                                              |[0x80002514]:and a2, a0, a1<br> [0x80002518]:sw a2, 1668(sp)<br>   |
| 437|[0x800056e4]<br>0x00000004|- rs1_val==46341 and rs2_val==6<br>                                                                                                                                        |[0x80002528]:and a2, a0, a1<br> [0x8000252c]:sw a2, 1672(sp)<br>   |
| 438|[0x800056e8]<br>0x00003104|- rs1_val==46341 and rs2_val==858993460<br>                                                                                                                                |[0x80002540]:and a2, a0, a1<br> [0x80002544]:sw a2, 1676(sp)<br>   |
| 439|[0x800056ec]<br>0x00002405|- rs1_val==46341 and rs2_val==1717986919<br>                                                                                                                               |[0x80002558]:and a2, a0, a1<br> [0x8000255c]:sw a2, 1680(sp)<br>   |
| 440|[0x800056f0]<br>0x00000005|- rs1_val==46341 and rs2_val==-46339<br>                                                                                                                                   |[0x80002570]:and a2, a0, a1<br> [0x80002574]:sw a2, 1684(sp)<br>   |
| 441|[0x800056f4]<br>0x0000B505|- rs1_val==46341 and rs2_val==46341<br>                                                                                                                                    |[0x80002588]:and a2, a0, a1<br> [0x8000258c]:sw a2, 1688(sp)<br>   |
| 442|[0x800056f8]<br>0x00000000|- rs1_val==0 and rs2_val==1431655764<br>                                                                                                                                   |[0x8000259c]:and a2, a0, a1<br> [0x800025a0]:sw a2, 1692(sp)<br>   |
| 443|[0x800056fc]<br>0x00000000|- rs1_val==0 and rs2_val==0<br>                                                                                                                                            |[0x800025ac]:and a2, a0, a1<br> [0x800025b0]:sw a2, 1696(sp)<br>   |
| 444|[0x80005700]<br>0x00000000|- rs1_val==0 and rs2_val==4<br>                                                                                                                                            |[0x800025bc]:and a2, a0, a1<br> [0x800025c0]:sw a2, 1700(sp)<br>   |
| 445|[0x80005704]<br>0x00000000|- rs1_val==0 and rs2_val==858993458<br>                                                                                                                                    |[0x800025d0]:and a2, a0, a1<br> [0x800025d4]:sw a2, 1704(sp)<br>   |
| 446|[0x80005708]<br>0x00000000|- rs1_val==0 and rs2_val==1717986917<br>                                                                                                                                   |[0x800025e4]:and a2, a0, a1<br> [0x800025e8]:sw a2, 1708(sp)<br>   |
| 447|[0x8000570c]<br>0x00000000|- rs1_val==0 and rs2_val==46339<br>                                                                                                                                        |[0x800025f8]:and a2, a0, a1<br> [0x800025fc]:sw a2, 1712(sp)<br>   |
| 448|[0x80005710]<br>0x00000000|- rs1_val==0 and rs2_val==1431655766<br>                                                                                                                                   |[0x8000260c]:and a2, a0, a1<br> [0x80002610]:sw a2, 1716(sp)<br>   |
| 449|[0x80005714]<br>0x00000000|- rs1_val==0 and rs2_val==-1431655765<br>                                                                                                                                  |[0x80002620]:and a2, a0, a1<br> [0x80002624]:sw a2, 1720(sp)<br>   |
| 450|[0x80005718]<br>0x00000000|- rs1_val==0 and rs2_val==6<br>                                                                                                                                            |[0x80002630]:and a2, a0, a1<br> [0x80002634]:sw a2, 1724(sp)<br>   |
| 451|[0x8000571c]<br>0x00000000|- rs1_val==0 and rs2_val==858993460<br>                                                                                                                                    |[0x80002644]:and a2, a0, a1<br> [0x80002648]:sw a2, 1728(sp)<br>   |
| 452|[0x80005720]<br>0x00000000|- rs1_val==0 and rs2_val==1717986919<br>                                                                                                                                   |[0x80002658]:and a2, a0, a1<br> [0x8000265c]:sw a2, 1732(sp)<br>   |
| 453|[0x80005724]<br>0x00000000|- rs1_val==0 and rs2_val==-46339<br>                                                                                                                                       |[0x8000266c]:and a2, a0, a1<br> [0x80002670]:sw a2, 1736(sp)<br>   |
| 454|[0x80005728]<br>0x00000000|- rs1_val==0 and rs2_val==46341<br>                                                                                                                                        |[0x80002680]:and a2, a0, a1<br> [0x80002684]:sw a2, 1740(sp)<br>   |
| 455|[0x8000572c]<br>0x00000000|- rs1_val==4 and rs2_val==3<br>                                                                                                                                            |[0x80002690]:and a2, a0, a1<br> [0x80002694]:sw a2, 1744(sp)<br>   |
| 456|[0x80005730]<br>0x00000004|- rs1_val==4 and rs2_val==1431655765<br>                                                                                                                                   |[0x800026a4]:and a2, a0, a1<br> [0x800026a8]:sw a2, 1748(sp)<br>   |
| 457|[0x80005734]<br>0x00000000|- rs1_val==4 and rs2_val==-1431655766<br>                                                                                                                                  |[0x800026b8]:and a2, a0, a1<br> [0x800026bc]:sw a2, 1752(sp)<br>   |
| 458|[0x80005738]<br>0x00000004|- rs1_val==4 and rs2_val==5<br>                                                                                                                                            |[0x800026c8]:and a2, a0, a1<br> [0x800026cc]:sw a2, 1756(sp)<br>   |
| 459|[0x8000573c]<br>0x00000000|- rs1_val==4 and rs2_val==858993459<br>                                                                                                                                    |[0x800026dc]:and a2, a0, a1<br> [0x800026e0]:sw a2, 1760(sp)<br>   |
| 460|[0x80005740]<br>0x00000004|- rs1_val==4 and rs2_val==1717986918<br>                                                                                                                                   |[0x800026f0]:and a2, a0, a1<br> [0x800026f4]:sw a2, 1764(sp)<br>   |
| 461|[0x80005744]<br>0x00000004|- rs1_val==4 and rs2_val==-46340<br>                                                                                                                                       |[0x80002704]:and a2, a0, a1<br> [0x80002708]:sw a2, 1768(sp)<br>   |
| 462|[0x80005748]<br>0x00000004|- rs1_val==4 and rs2_val==46340<br>                                                                                                                                        |[0x80002718]:and a2, a0, a1<br> [0x8000271c]:sw a2, 1772(sp)<br>   |
| 463|[0x8000574c]<br>0x00000000|- rs1_val==4 and rs2_val==2<br>                                                                                                                                            |[0x80002728]:and a2, a0, a1<br> [0x8000272c]:sw a2, 1776(sp)<br>   |
| 464|[0x80005750]<br>0x00000004|- rs1_val==4 and rs2_val==1431655764<br>                                                                                                                                   |[0x8000273c]:and a2, a0, a1<br> [0x80002740]:sw a2, 1780(sp)<br>   |
| 465|[0x80005754]<br>0x00000000|- rs1_val==4 and rs2_val==0<br>                                                                                                                                            |[0x8000274c]:and a2, a0, a1<br> [0x80002750]:sw a2, 1784(sp)<br>   |
| 466|[0x80005758]<br>0x00000004|- rs1_val==4 and rs2_val==4<br>                                                                                                                                            |[0x8000275c]:and a2, a0, a1<br> [0x80002760]:sw a2, 1788(sp)<br>   |
| 467|[0x8000575c]<br>0x00000000|- rs1_val==4 and rs2_val==858993458<br>                                                                                                                                    |[0x80002770]:and a2, a0, a1<br> [0x80002774]:sw a2, 1792(sp)<br>   |
| 468|[0x80005760]<br>0x00000004|- rs1_val==4 and rs2_val==1717986917<br>                                                                                                                                   |[0x80002784]:and a2, a0, a1<br> [0x80002788]:sw a2, 1796(sp)<br>   |
| 469|[0x80005764]<br>0x00000000|- rs1_val==4 and rs2_val==46339<br>                                                                                                                                        |[0x80002798]:and a2, a0, a1<br> [0x8000279c]:sw a2, 1800(sp)<br>   |
| 470|[0x80005768]<br>0x00000004|- rs1_val==4 and rs2_val==1431655766<br>                                                                                                                                   |[0x800027ac]:and a2, a0, a1<br> [0x800027b0]:sw a2, 1804(sp)<br>   |
| 471|[0x8000576c]<br>0x00000000|- rs1_val==4 and rs2_val==-1431655765<br>                                                                                                                                  |[0x800027c0]:and a2, a0, a1<br> [0x800027c4]:sw a2, 1808(sp)<br>   |
| 472|[0x80005770]<br>0x00000004|- rs1_val==4 and rs2_val==6<br>                                                                                                                                            |[0x800027d0]:and a2, a0, a1<br> [0x800027d4]:sw a2, 1812(sp)<br>   |
| 473|[0x80005774]<br>0x00000004|- rs1_val==4 and rs2_val==858993460<br>                                                                                                                                    |[0x800027e4]:and a2, a0, a1<br> [0x800027e8]:sw a2, 1816(sp)<br>   |
| 474|[0x80005778]<br>0x00000004|- rs1_val==4 and rs2_val==1717986919<br>                                                                                                                                   |[0x800027f8]:and a2, a0, a1<br> [0x800027fc]:sw a2, 1820(sp)<br>   |
| 475|[0x8000577c]<br>0x00000004|- rs1_val==4 and rs2_val==-46339<br>                                                                                                                                       |[0x8000280c]:and a2, a0, a1<br> [0x80002810]:sw a2, 1824(sp)<br>   |
| 476|[0x80005780]<br>0x00000004|- rs1_val==4 and rs2_val==46341<br>                                                                                                                                        |[0x80002820]:and a2, a0, a1<br> [0x80002824]:sw a2, 1828(sp)<br>   |
| 477|[0x80005784]<br>0x00000002|- rs1_val==858993458 and rs2_val==3<br>                                                                                                                                    |[0x80002834]:and a2, a0, a1<br> [0x80002838]:sw a2, 1832(sp)<br>   |
| 478|[0x80005788]<br>0x11111110|- rs1_val==858993458 and rs2_val==1431655765<br>                                                                                                                           |[0x8000284c]:and a2, a0, a1<br> [0x80002850]:sw a2, 1836(sp)<br>   |
| 479|[0x8000578c]<br>0x22222222|- rs1_val==858993458 and rs2_val==-1431655766<br>                                                                                                                          |[0x80002864]:and a2, a0, a1<br> [0x80002868]:sw a2, 1840(sp)<br>   |
| 480|[0x80005790]<br>0x00000000|- rs1_val==858993458 and rs2_val==5<br>                                                                                                                                    |[0x80002878]:and a2, a0, a1<br> [0x8000287c]:sw a2, 1844(sp)<br>   |
| 481|[0x80005794]<br>0x33333332|- rs1_val==858993458 and rs2_val==858993459<br>                                                                                                                            |[0x80002890]:and a2, a0, a1<br> [0x80002894]:sw a2, 1848(sp)<br>   |
| 482|[0x80005798]<br>0x22222222|- rs1_val==858993458 and rs2_val==1717986918<br>                                                                                                                           |[0x800028a8]:and a2, a0, a1<br> [0x800028ac]:sw a2, 1852(sp)<br>   |
| 483|[0x8000579c]<br>0x33330230|- rs1_val==858993458 and rs2_val==-46340<br>                                                                                                                               |[0x800028c0]:and a2, a0, a1<br> [0x800028c4]:sw a2, 1856(sp)<br>   |
| 484|[0x800057a0]<br>0x00003100|- rs1_val==858993458 and rs2_val==46340<br>                                                                                                                                |[0x800028d8]:and a2, a0, a1<br> [0x800028dc]:sw a2, 1860(sp)<br>   |
| 485|[0x800057a4]<br>0x00000002|- rs1_val==858993458 and rs2_val==2<br>                                                                                                                                    |[0x800028ec]:and a2, a0, a1<br> [0x800028f0]:sw a2, 1864(sp)<br>   |
| 486|[0x800057a8]<br>0x11111110|- rs1_val==858993458 and rs2_val==1431655764<br>                                                                                                                           |[0x80002904]:and a2, a0, a1<br> [0x80002908]:sw a2, 1868(sp)<br>   |
| 487|[0x800057ac]<br>0x00000000|- rs1_val==858993458 and rs2_val==0<br>                                                                                                                                    |[0x80002918]:and a2, a0, a1<br> [0x8000291c]:sw a2, 1872(sp)<br>   |
| 488|[0x800057b0]<br>0x00000000|- rs1_val==858993458 and rs2_val==4<br>                                                                                                                                    |[0x8000292c]:and a2, a0, a1<br> [0x80002930]:sw a2, 1876(sp)<br>   |
| 489|[0x800057b4]<br>0x33333332|- rs1_val==858993458 and rs2_val==858993458<br>                                                                                                                            |[0x80002944]:and a2, a0, a1<br> [0x80002948]:sw a2, 1880(sp)<br>   |
| 490|[0x800057b8]<br>0x22222220|- rs1_val==858993458 and rs2_val==1717986917<br>                                                                                                                           |[0x8000295c]:and a2, a0, a1<br> [0x80002960]:sw a2, 1884(sp)<br>   |
| 491|[0x800057bc]<br>0x00003102|- rs1_val==858993458 and rs2_val==46339<br>                                                                                                                                |[0x80002974]:and a2, a0, a1<br> [0x80002978]:sw a2, 1888(sp)<br>   |
| 492|[0x800057c0]<br>0x11111112|- rs1_val==858993458 and rs2_val==1431655766<br>                                                                                                                           |[0x8000298c]:and a2, a0, a1<br> [0x80002990]:sw a2, 1892(sp)<br>   |
| 493|[0x800057c4]<br>0x22222222|- rs1_val==858993458 and rs2_val==-1431655765<br>                                                                                                                          |[0x800029a4]:and a2, a0, a1<br> [0x800029a8]:sw a2, 1896(sp)<br>   |
| 494|[0x800057c8]<br>0x00000002|- rs1_val==858993458 and rs2_val==6<br>                                                                                                                                    |[0x800029b8]:and a2, a0, a1<br> [0x800029bc]:sw a2, 1900(sp)<br>   |
| 495|[0x800057cc]<br>0x33333330|- rs1_val==858993458 and rs2_val==858993460<br>                                                                                                                            |[0x800029d0]:and a2, a0, a1<br> [0x800029d4]:sw a2, 1904(sp)<br>   |
| 496|[0x800057d0]<br>0x22222222|- rs1_val==858993458 and rs2_val==1717986919<br>                                                                                                                           |[0x800029e8]:and a2, a0, a1<br> [0x800029ec]:sw a2, 1908(sp)<br>   |
| 497|[0x800057d4]<br>0x33330230|- rs1_val==858993458 and rs2_val==-46339<br>                                                                                                                               |[0x80002a00]:and a2, a0, a1<br> [0x80002a04]:sw a2, 1912(sp)<br>   |
| 498|[0x800057d8]<br>0x00003100|- rs1_val==858993458 and rs2_val==46341<br>                                                                                                                                |[0x80002a18]:and a2, a0, a1<br> [0x80002a1c]:sw a2, 1916(sp)<br>   |
| 499|[0x800057dc]<br>0x00000001|- rs1_val==1717986917 and rs2_val==3<br>                                                                                                                                   |[0x80002a2c]:and a2, a0, a1<br> [0x80002a30]:sw a2, 1920(sp)<br>   |
| 500|[0x800057e0]<br>0x44444445|- rs1_val==1717986917 and rs2_val==1431655765<br>                                                                                                                          |[0x80002a44]:and a2, a0, a1<br> [0x80002a48]:sw a2, 1924(sp)<br>   |
| 501|[0x800057e4]<br>0x22222220|- rs1_val==1717986917 and rs2_val==-1431655766<br>                                                                                                                         |[0x80002a5c]:and a2, a0, a1<br> [0x80002a60]:sw a2, 1928(sp)<br>   |
| 502|[0x800057e8]<br>0x00000005|- rs1_val==1717986917 and rs2_val==5<br>                                                                                                                                   |[0x80002a70]:and a2, a0, a1<br> [0x80002a74]:sw a2, 1932(sp)<br>   |
| 503|[0x800057ec]<br>0x22222221|- rs1_val==1717986917 and rs2_val==858993459<br>                                                                                                                           |[0x80002a88]:and a2, a0, a1<br> [0x80002a8c]:sw a2, 1936(sp)<br>   |
| 504|[0x800057f0]<br>0x66666664|- rs1_val==1717986917 and rs2_val==1717986918<br>                                                                                                                          |[0x80002aa0]:and a2, a0, a1<br> [0x80002aa4]:sw a2, 1940(sp)<br>   |
| 505|[0x800057f4]<br>0x66664264|- rs1_val==1717986917 and rs2_val==-46340<br>                                                                                                                              |[0x80002ab8]:and a2, a0, a1<br> [0x80002abc]:sw a2, 1944(sp)<br>   |
| 506|[0x800057f8]<br>0x00002404|- rs1_val==1717986917 and rs2_val==46340<br>                                                                                                                               |[0x80002ad0]:and a2, a0, a1<br> [0x80002ad4]:sw a2, 1948(sp)<br>   |
| 507|[0x800057fc]<br>0x00000000|- rs1_val==1717986917 and rs2_val==2<br>                                                                                                                                   |[0x80002ae4]:and a2, a0, a1<br> [0x80002ae8]:sw a2, 1952(sp)<br>   |
| 508|[0x80005800]<br>0x44444444|- rs1_val==1717986917 and rs2_val==1431655764<br>                                                                                                                          |[0x80002afc]:and a2, a0, a1<br> [0x80002b00]:sw a2, 1956(sp)<br>   |
| 509|[0x80005804]<br>0x00000000|- rs1_val==1717986917 and rs2_val==0<br>                                                                                                                                   |[0x80002b10]:and a2, a0, a1<br> [0x80002b14]:sw a2, 1960(sp)<br>   |
| 510|[0x80005808]<br>0x00000004|- rs1_val==1717986917 and rs2_val==4<br>                                                                                                                                   |[0x80002b24]:and a2, a0, a1<br> [0x80002b28]:sw a2, 1964(sp)<br>   |
| 511|[0x8000580c]<br>0x22222220|- rs1_val==1717986917 and rs2_val==858993458<br>                                                                                                                           |[0x80002b3c]:and a2, a0, a1<br> [0x80002b40]:sw a2, 1968(sp)<br>   |
| 512|[0x80005810]<br>0x66666665|- rs1_val==1717986917 and rs2_val==1717986917<br>                                                                                                                          |[0x80002b54]:and a2, a0, a1<br> [0x80002b58]:sw a2, 1972(sp)<br>   |
| 513|[0x80005814]<br>0x00002401|- rs1_val==1717986917 and rs2_val==46339<br>                                                                                                                               |[0x80002b6c]:and a2, a0, a1<br> [0x80002b70]:sw a2, 1976(sp)<br>   |
| 514|[0x80005818]<br>0x44444444|- rs1_val==1717986917 and rs2_val==1431655766<br>                                                                                                                          |[0x80002b84]:and a2, a0, a1<br> [0x80002b88]:sw a2, 1980(sp)<br>   |
| 515|[0x8000581c]<br>0x22222221|- rs1_val==1717986917 and rs2_val==-1431655765<br>                                                                                                                         |[0x80002b9c]:and a2, a0, a1<br> [0x80002ba0]:sw a2, 1984(sp)<br>   |
| 516|[0x80005820]<br>0x00000004|- rs1_val==1717986917 and rs2_val==6<br>                                                                                                                                   |[0x80002bb0]:and a2, a0, a1<br> [0x80002bb4]:sw a2, 1988(sp)<br>   |
| 517|[0x80005824]<br>0x22222224|- rs1_val==1717986917 and rs2_val==858993460<br>                                                                                                                           |[0x80002bc8]:and a2, a0, a1<br> [0x80002bcc]:sw a2, 1992(sp)<br>   |
| 518|[0x80005828]<br>0x66666665|- rs1_val==1717986917 and rs2_val==1717986919<br>                                                                                                                          |[0x80002be0]:and a2, a0, a1<br> [0x80002be4]:sw a2, 1996(sp)<br>   |
| 519|[0x8000582c]<br>0x66664265|- rs1_val==1717986917 and rs2_val==-46339<br>                                                                                                                              |[0x80002bf8]:and a2, a0, a1<br> [0x80002bfc]:sw a2, 2000(sp)<br>   |
| 520|[0x80005830]<br>0x00002405|- rs1_val==1717986917 and rs2_val==46341<br>                                                                                                                               |[0x80002c10]:and a2, a0, a1<br> [0x80002c14]:sw a2, 2004(sp)<br>   |
| 521|[0x80005834]<br>0x00000003|- rs1_val==46339 and rs2_val==3<br>                                                                                                                                        |[0x80002c24]:and a2, a0, a1<br> [0x80002c28]:sw a2, 2008(sp)<br>   |
| 522|[0x80005838]<br>0x00001501|- rs1_val==46339 and rs2_val==1431655765<br>                                                                                                                               |[0x80002c3c]:and a2, a0, a1<br> [0x80002c40]:sw a2, 2012(sp)<br>   |
| 523|[0x8000583c]<br>0x0000A002|- rs1_val==46339 and rs2_val==-1431655766<br>                                                                                                                              |[0x80002c54]:and a2, a0, a1<br> [0x80002c58]:sw a2, 2016(sp)<br>   |
| 524|[0x80005840]<br>0x00000001|- rs1_val==46339 and rs2_val==5<br>                                                                                                                                        |[0x80002c68]:and a2, a0, a1<br> [0x80002c6c]:sw a2, 2020(sp)<br>   |
| 525|[0x80005844]<br>0x00003103|- rs1_val==46339 and rs2_val==858993459<br>                                                                                                                                |[0x80002c80]:and a2, a0, a1<br> [0x80002c84]:sw a2, 2024(sp)<br>   |
| 526|[0x80005848]<br>0x00002402|- rs1_val==46339 and rs2_val==1717986918<br>                                                                                                                               |[0x80002c98]:and a2, a0, a1<br> [0x80002c9c]:sw a2, 2028(sp)<br>   |
| 527|[0x8000584c]<br>0x00000000|- rs1_val==46339 and rs2_val==-46340<br>                                                                                                                                   |[0x80002cb0]:and a2, a0, a1<br> [0x80002cb4]:sw a2, 2032(sp)<br>   |
| 528|[0x80005850]<br>0x0000B500|- rs1_val==46339 and rs2_val==46340<br>                                                                                                                                    |[0x80002cc8]:and a2, a0, a1<br> [0x80002ccc]:sw a2, 2036(sp)<br>   |
| 529|[0x80005854]<br>0x00000002|- rs1_val==46339 and rs2_val==2<br>                                                                                                                                        |[0x80002cdc]:and a2, a0, a1<br> [0x80002ce0]:sw a2, 2040(sp)<br>   |
| 530|[0x80005858]<br>0x00001500|- rs1_val==46339 and rs2_val==1431655764<br>                                                                                                                               |[0x80002cf4]:and a2, a0, a1<br> [0x80002cf8]:sw a2, 2044(sp)<br>   |
| 531|[0x8000585c]<br>0x00000000|- rs1_val==46339 and rs2_val==0<br>                                                                                                                                        |[0x80002d10]:and a2, a0, a1<br> [0x80002d14]:sw a2, 0(sp)<br>      |
| 532|[0x80005860]<br>0x00000000|- rs1_val==46339 and rs2_val==4<br>                                                                                                                                        |[0x80002d24]:and a2, a0, a1<br> [0x80002d28]:sw a2, 4(sp)<br>      |
| 533|[0x80005864]<br>0x00003102|- rs1_val==46339 and rs2_val==858993458<br>                                                                                                                                |[0x80002d3c]:and a2, a0, a1<br> [0x80002d40]:sw a2, 8(sp)<br>      |
| 534|[0x80005868]<br>0x00002401|- rs1_val==46339 and rs2_val==1717986917<br>                                                                                                                               |[0x80002d54]:and a2, a0, a1<br> [0x80002d58]:sw a2, 12(sp)<br>     |
| 535|[0x8000586c]<br>0x0000B503|- rs1_val==46339 and rs2_val==46339<br>                                                                                                                                    |[0x80002d6c]:and a2, a0, a1<br> [0x80002d70]:sw a2, 16(sp)<br>     |
| 536|[0x80005870]<br>0x00001502|- rs1_val==46339 and rs2_val==1431655766<br>                                                                                                                               |[0x80002d84]:and a2, a0, a1<br> [0x80002d88]:sw a2, 20(sp)<br>     |
| 537|[0x80005874]<br>0x0000A003|- rs1_val==46339 and rs2_val==-1431655765<br>                                                                                                                              |[0x80002d9c]:and a2, a0, a1<br> [0x80002da0]:sw a2, 24(sp)<br>     |
| 538|[0x80005878]<br>0x00000002|- rs1_val==46339 and rs2_val==6<br>                                                                                                                                        |[0x80002db0]:and a2, a0, a1<br> [0x80002db4]:sw a2, 28(sp)<br>     |
| 539|[0x8000587c]<br>0x00003100|- rs1_val==46339 and rs2_val==858993460<br>                                                                                                                                |[0x80002dc8]:and a2, a0, a1<br> [0x80002dcc]:sw a2, 32(sp)<br>     |
| 540|[0x80005880]<br>0x00002403|- rs1_val==46339 and rs2_val==1717986919<br>                                                                                                                               |[0x80002de0]:and a2, a0, a1<br> [0x80002de4]:sw a2, 36(sp)<br>     |
| 541|[0x80005884]<br>0x00000001|- rs1_val==46339 and rs2_val==-46339<br>                                                                                                                                   |[0x80002df8]:and a2, a0, a1<br> [0x80002dfc]:sw a2, 40(sp)<br>     |
| 542|[0x80005888]<br>0x0000B501|- rs1_val==46339 and rs2_val==46341<br>                                                                                                                                    |[0x80002e10]:and a2, a0, a1<br> [0x80002e14]:sw a2, 44(sp)<br>     |
| 543|[0x8000588c]<br>0x00000002|- rs1_val==1431655766 and rs2_val==3<br>                                                                                                                                   |[0x80002e24]:and a2, a0, a1<br> [0x80002e28]:sw a2, 48(sp)<br>     |
| 544|[0x80005890]<br>0x55555554|- rs1_val==1431655766 and rs2_val==1431655765<br>                                                                                                                          |[0x80002e3c]:and a2, a0, a1<br> [0x80002e40]:sw a2, 52(sp)<br>     |
| 545|[0x80005894]<br>0x00000002|- rs1_val==1431655766 and rs2_val==-1431655766<br>                                                                                                                         |[0x80002e54]:and a2, a0, a1<br> [0x80002e58]:sw a2, 56(sp)<br>     |
| 546|[0x80005898]<br>0x00000004|- rs1_val==1431655766 and rs2_val==5<br>                                                                                                                                   |[0x80002e68]:and a2, a0, a1<br> [0x80002e6c]:sw a2, 60(sp)<br>     |
| 547|[0x8000589c]<br>0x11111112|- rs1_val==1431655766 and rs2_val==858993459<br>                                                                                                                           |[0x80002e80]:and a2, a0, a1<br> [0x80002e84]:sw a2, 64(sp)<br>     |
| 548|[0x800058a0]<br>0x44444446|- rs1_val==1431655766 and rs2_val==1717986918<br>                                                                                                                          |[0x80002e98]:and a2, a0, a1<br> [0x80002e9c]:sw a2, 68(sp)<br>     |
| 549|[0x800058a4]<br>0x55554054|- rs1_val==1431655766 and rs2_val==-46340<br>                                                                                                                              |[0x80002eb0]:and a2, a0, a1<br> [0x80002eb4]:sw a2, 72(sp)<br>     |
| 550|[0x800058a8]<br>0x00001504|- rs1_val==1431655766 and rs2_val==46340<br>                                                                                                                               |[0x80002ec8]:and a2, a0, a1<br> [0x80002ecc]:sw a2, 76(sp)<br>     |
| 551|[0x800058ac]<br>0x00000002|- rs1_val==1431655766 and rs2_val==2<br>                                                                                                                                   |[0x80002edc]:and a2, a0, a1<br> [0x80002ee0]:sw a2, 80(sp)<br>     |
| 552|[0x800058b0]<br>0x55555554|- rs1_val==1431655766 and rs2_val==1431655764<br>                                                                                                                          |[0x80002ef4]:and a2, a0, a1<br> [0x80002ef8]:sw a2, 84(sp)<br>     |
| 553|[0x800058b4]<br>0x00000000|- rs1_val==1431655766 and rs2_val==0<br>                                                                                                                                   |[0x80002f08]:and a2, a0, a1<br> [0x80002f0c]:sw a2, 88(sp)<br>     |
| 554|[0x800058b8]<br>0x00000004|- rs1_val==1431655766 and rs2_val==4<br>                                                                                                                                   |[0x80002f1c]:and a2, a0, a1<br> [0x80002f20]:sw a2, 92(sp)<br>     |
| 555|[0x800058bc]<br>0x11111112|- rs1_val==1431655766 and rs2_val==858993458<br>                                                                                                                           |[0x80002f34]:and a2, a0, a1<br> [0x80002f38]:sw a2, 96(sp)<br>     |
| 556|[0x800058c0]<br>0x44444444|- rs1_val==1431655766 and rs2_val==1717986917<br>                                                                                                                          |[0x80002f4c]:and a2, a0, a1<br> [0x80002f50]:sw a2, 100(sp)<br>    |
| 557|[0x800058c4]<br>0x00001502|- rs1_val==1431655766 and rs2_val==46339<br>                                                                                                                               |[0x80002f64]:and a2, a0, a1<br> [0x80002f68]:sw a2, 104(sp)<br>    |
| 558|[0x800058c8]<br>0x55555556|- rs1_val==1431655766 and rs2_val==1431655766<br>                                                                                                                          |[0x80002f7c]:and a2, a0, a1<br> [0x80002f80]:sw a2, 108(sp)<br>    |
| 559|[0x800058cc]<br>0x00000002|- rs1_val==1431655766 and rs2_val==-1431655765<br>                                                                                                                         |[0x80002f94]:and a2, a0, a1<br> [0x80002f98]:sw a2, 112(sp)<br>    |
| 560|[0x800058d0]<br>0x00000006|- rs1_val==1431655766 and rs2_val==6<br>                                                                                                                                   |[0x80002fa8]:and a2, a0, a1<br> [0x80002fac]:sw a2, 116(sp)<br>    |
| 561|[0x800058d4]<br>0x11111114|- rs1_val==1431655766 and rs2_val==858993460<br>                                                                                                                           |[0x80002fc0]:and a2, a0, a1<br> [0x80002fc4]:sw a2, 120(sp)<br>    |
| 562|[0x800058d8]<br>0x44444446|- rs1_val==1431655766 and rs2_val==1717986919<br>                                                                                                                          |[0x80002fd8]:and a2, a0, a1<br> [0x80002fdc]:sw a2, 124(sp)<br>    |
| 563|[0x800058dc]<br>0x55554054|- rs1_val==1431655766 and rs2_val==-46339<br>                                                                                                                              |[0x80002ff0]:and a2, a0, a1<br> [0x80002ff4]:sw a2, 128(sp)<br>    |
| 564|[0x800058e0]<br>0x00001504|- rs1_val==1431655766 and rs2_val==46341<br>                                                                                                                               |[0x80003008]:and a2, a0, a1<br> [0x8000300c]:sw a2, 132(sp)<br>    |
| 565|[0x800058e4]<br>0x00000003|- rs1_val==-1431655765 and rs2_val==3<br>                                                                                                                                  |[0x8000301c]:and a2, a0, a1<br> [0x80003020]:sw a2, 136(sp)<br>    |
| 566|[0x800058e8]<br>0x00000001|- rs1_val==-1431655765 and rs2_val==1431655765<br>                                                                                                                         |[0x80003034]:and a2, a0, a1<br> [0x80003038]:sw a2, 140(sp)<br>    |
| 567|[0x800058ec]<br>0xAAAAAAAA|- rs1_val==-1431655765 and rs2_val==-1431655766<br>                                                                                                                        |[0x8000304c]:and a2, a0, a1<br> [0x80003050]:sw a2, 144(sp)<br>    |
| 568|[0x800058f0]<br>0x00000001|- rs1_val==-1431655765 and rs2_val==5<br>                                                                                                                                  |[0x80003060]:and a2, a0, a1<br> [0x80003064]:sw a2, 148(sp)<br>    |
| 569|[0x800058f4]<br>0x22222223|- rs1_val==-1431655765 and rs2_val==858993459<br>                                                                                                                          |[0x80003078]:and a2, a0, a1<br> [0x8000307c]:sw a2, 152(sp)<br>    |
| 570|[0x800058f8]<br>0x22222222|- rs1_val==-1431655765 and rs2_val==1717986918<br>                                                                                                                         |[0x80003090]:and a2, a0, a1<br> [0x80003094]:sw a2, 156(sp)<br>    |
| 571|[0x800058fc]<br>0xAAAA0AA8|- rs1_val==-1431655765 and rs2_val==-46340<br>                                                                                                                             |[0x800030a8]:and a2, a0, a1<br> [0x800030ac]:sw a2, 160(sp)<br>    |
| 572|[0x80005900]<br>0x0000A000|- rs1_val==-1431655765 and rs2_val==46340<br>                                                                                                                              |[0x800030c0]:and a2, a0, a1<br> [0x800030c4]:sw a2, 164(sp)<br>    |
| 573|[0x80005904]<br>0x00000002|- rs1_val==-1431655765 and rs2_val==2<br>                                                                                                                                  |[0x800030d4]:and a2, a0, a1<br> [0x800030d8]:sw a2, 168(sp)<br>    |
| 574|[0x80005908]<br>0x00000000|- rs1_val==-1431655765 and rs2_val==1431655764<br>                                                                                                                         |[0x800030ec]:and a2, a0, a1<br> [0x800030f0]:sw a2, 172(sp)<br>    |
| 575|[0x8000590c]<br>0x00000000|- rs1_val==-1431655765 and rs2_val==0<br>                                                                                                                                  |[0x80003100]:and a2, a0, a1<br> [0x80003104]:sw a2, 176(sp)<br>    |
| 576|[0x80005910]<br>0x00000000|- rs1_val==-1431655765 and rs2_val==4<br>                                                                                                                                  |[0x80003114]:and a2, a0, a1<br> [0x80003118]:sw a2, 180(sp)<br>    |
| 577|[0x80005914]<br>0x22222222|- rs1_val==-1431655765 and rs2_val==858993458<br>                                                                                                                          |[0x8000312c]:and a2, a0, a1<br> [0x80003130]:sw a2, 184(sp)<br>    |
| 578|[0x80005918]<br>0x22222221|- rs1_val==-1431655765 and rs2_val==1717986917<br>                                                                                                                         |[0x80003144]:and a2, a0, a1<br> [0x80003148]:sw a2, 188(sp)<br>    |
| 579|[0x8000591c]<br>0x0000A003|- rs1_val==-1431655765 and rs2_val==46339<br>                                                                                                                              |[0x8000315c]:and a2, a0, a1<br> [0x80003160]:sw a2, 192(sp)<br>    |
| 580|[0x80005920]<br>0x00000002|- rs1_val==-1431655765 and rs2_val==1431655766<br>                                                                                                                         |[0x80003174]:and a2, a0, a1<br> [0x80003178]:sw a2, 196(sp)<br>    |
| 581|[0x80005924]<br>0x00000800|- rs2_val == -1048577<br>                                                                                                                                                  |[0x8000318c]:and a2, a0, a1<br> [0x80003190]:sw a2, 200(sp)<br>    |
| 582|[0x8000592c]<br>0x00000000|- rs2_val == 1048576<br>                                                                                                                                                   |[0x800031ac]:and a2, a0, a1<br> [0x800031b0]:sw a2, 208(sp)<br>    |
