
# Data Propagation Report

- **STAT1** : Number of instructions that hit unique coverpoints and update the signature.
- **STAT2** : Number of instructions that hit covepoints which are not unique but still update the signature
- **STAT3** : Number of instructions that hit a unique coverpoint but do not update signature
- **STAT4** : Number of multiple signature updates for the same coverpoint
- **STAT5** : Number of times the signature was overwritten

| Param                     | Value    |
|---------------------------|----------|
| XLEN                      | 32      |
| TEST_REGION               | [('0x800000f8', '0x800005c0')]      |
| SIG_REGION                | [('0x80002010', '0x80002170', '88 words')]      |
| COV_LABELS                | sm3p0      |
| TEST_NAME                 | /scratch/git-repo/incoresemi/temp/riscof_work/sm3p0-01.S/ref.S    |
| Total Number of coverpoints| 156     |
| Total Coverpoints Hit     | 151      |
| Total Signature Updates   | 86      |
| STAT1                     | 85      |
| STAT2                     | 1      |
| STAT3                     | 0     |
| STAT4                     | 0     |
| STAT5                     | 0     |

## Details for STAT2:

```
Op without unique coverpoint updates Signature
 -- Code Sequence:
      [0x800005b4]:sm3p0
      [0x800005b8]:sw
 -- Signature Address: 0x80002164 Data: 0xfbfdfffb
 -- Redundant Coverpoints hit by the op
      - opcode : sm3p0
      - rs1 : x10
      - rd : x11
      - rs1 != rd
      - rs1_val == 4294836223






```

## Details of STAT3

```


```

## Details of STAT4:

```

```

## Details of STAT5:



## Details of STAT1:

- The first column indicates the signature address and the data at that location in hexadecimal in the following format: 
  ```
  [Address]
  Data
  ```

- The second column captures all the coverpoints which have been captured by that particular signature location

- The third column captures all the insrtuctions since the time a coverpoint was
  hit to the point when a store to the signature was performed. Each line has
  the following format:
  ```
  [PC of instruction] : mnemonic
  ```
- The order in the table is based on the order of signatures occuring in the
  test. These need not necessarily be in increasing or decreasing order of the
  address in the signature region.

|s.no|        signature         |                                coverpoints                                |                   code                    |
|---:|--------------------------|---------------------------------------------------------------------------|-------------------------------------------|
|   1|[0x80002010]<br>0x00000000|- opcode : sm3p0<br> - rs1 : x0<br> - rd : x21<br> - rs1 != rd<br>         |[0x80000104]:sm3p0<br> [0x80000108]:sw<br> |
|   2|[0x80002014]<br>0x7ffefeff|- rs1 : x16<br> - rd : x16<br> - rs1 == rd<br> - rs1_val == 2147483647<br> |[0x80000114]:sm3p0<br> [0x80000118]:sw<br> |
|   3|[0x80002018]<br>0xbfff7f7f|- rs1 : x5<br> - rd : x2<br> - rs1_val == 3221225471<br>                   |[0x80000124]:sm3p0<br> [0x80000128]:sw<br> |
|   4|[0x8000201c]<br>0xdfffbfbf|- rs1 : x14<br> - rd : x28<br> - rs1_val == 3758096383<br>                 |[0x80000134]:sm3p0<br> [0x80000138]:sw<br> |
|   5|[0x80002020]<br>0xefffdfdf|- rs1 : x23<br> - rd : x9<br> - rs1_val == 4026531839<br>                  |[0x80000144]:sm3p0<br> [0x80000148]:sw<br> |
|   6|[0x80002024]<br>0xf7ffefef|- rs1 : x6<br> - rd : x31<br> - rs1_val == 4160749567<br>                  |[0x80000154]:sm3p0<br> [0x80000158]:sw<br> |
|   7|[0x80002028]<br>0xfbfff7f7|- rs1 : x22<br> - rd : x19<br> - rs1_val == 4227858431<br>                 |[0x80000164]:sm3p0<br> [0x80000168]:sw<br> |
|   8|[0x8000202c]<br>0xfdfffbfb|- rs1 : x28<br> - rd : x8<br> - rs1_val == 4261412863<br>                  |[0x80000174]:sm3p0<br> [0x80000178]:sw<br> |
|   9|[0x80002030]<br>0xfefffdfd|- rs1 : x24<br> - rd : x6<br> - rs1_val == 4278190079<br>                  |[0x80000184]:sm3p0<br> [0x80000188]:sw<br> |
|  10|[0x80002034]<br>0xff7ffefe|- rs1 : x17<br> - rd : x18<br> - rs1_val == 4286578687<br>                 |[0x80000194]:sm3p0<br> [0x80000198]:sw<br> |
|  11|[0x80002038]<br>0x7fbfff7f|- rs1 : x21<br> - rd : x17<br> - rs1_val == 4290772991<br>                 |[0x800001a4]:sm3p0<br> [0x800001a8]:sw<br> |
|  12|[0x8000203c]<br>0xbfdfffbf|- rs1 : x4<br> - rd : x26<br> - rs1_val == 4292870143<br>                  |[0x800001b4]:sm3p0<br> [0x800001b8]:sw<br> |
|  13|[0x80002040]<br>0xdfefffdf|- rs1 : x25<br> - rd : x22<br> - rs1_val == 4293918719<br>                 |[0x800001c4]:sm3p0<br> [0x800001c8]:sw<br> |
|  14|[0x80002044]<br>0xeff7ffef|- rs1 : x1<br> - rd : x25<br> - rs1_val == 4294443007<br>                  |[0x800001d4]:sm3p0<br> [0x800001d8]:sw<br> |
|  15|[0x80002048]<br>0xf7fbfff7|- rs1 : x18<br> - rd : x11<br> - rs1_val == 4294705151<br>                 |[0x800001e4]:sm3p0<br> [0x800001e8]:sw<br> |
|  16|[0x8000204c]<br>0x00000000|- rs1 : x8<br> - rd : x0<br> - rs1_val == 4294836223<br>                   |[0x800001f4]:sm3p0<br> [0x800001f8]:sw<br> |
|  17|[0x80002050]<br>0xfdfefffd|- rs1 : x9<br> - rd : x3<br> - rs1_val == 4294901759<br>                   |[0x80000204]:sm3p0<br> [0x80000208]:sw<br> |
|  18|[0x80002054]<br>0xfeff7ffe|- rs1 : x2<br> - rd : x7<br> - rs1_val == 4294934527<br>                   |[0x80000214]:sm3p0<br> [0x80000218]:sw<br> |
|  19|[0x80002058]<br>0x7f7fbfff|- rs1 : x30<br> - rd : x4<br> - rs1_val == 4294950911<br>                  |[0x80000224]:sm3p0<br> [0x80000228]:sw<br> |
|  20|[0x8000205c]<br>0xbfbfdfff|- rs1 : x27<br> - rd : x12<br> - rs1_val == 4294959103<br>                 |[0x80000234]:sm3p0<br> [0x80000238]:sw<br> |
|  21|[0x80002060]<br>0xdfdfefff|- rs1 : x11<br> - rd : x10<br> - rs1_val == 4294963199<br>                 |[0x80000244]:sm3p0<br> [0x80000248]:sw<br> |
|  22|[0x80002064]<br>0xefeff7ff|- rs1 : x29<br> - rd : x15<br> - rs1_val == 4294965247<br>                 |[0x80000254]:sm3p0<br> [0x80000258]:sw<br> |
|  23|[0x80002068]<br>0xf7f7fbff|- rs1 : x31<br> - rd : x14<br> - rs1_val == 4294966271<br>                 |[0x80000268]:sm3p0<br> [0x8000026c]:sw<br> |
|  24|[0x8000206c]<br>0xfbfbfdff|- rs1 : x20<br> - rd : x24<br> - rs1_val == 4294966783<br>                 |[0x80000274]:sm3p0<br> [0x80000278]:sw<br> |
|  25|[0x80002070]<br>0xfdfdfeff|- rs1 : x3<br> - rd : x27<br> - rs1_val == 4294967039<br>                  |[0x80000280]:sm3p0<br> [0x80000284]:sw<br> |
|  26|[0x80002074]<br>0xfefeff7f|- rs1 : x10<br> - rd : x1<br> - rs1_val == 4294967167<br>                  |[0x8000028c]:sm3p0<br> [0x80000290]:sw<br> |
|  27|[0x80002078]<br>0xff7f7fbf|- rs1 : x7<br> - rd : x29<br> - rs1_val == 4294967231<br>                  |[0x80000298]:sm3p0<br> [0x8000029c]:sw<br> |
|  28|[0x8000207c]<br>0xffbfbfdf|- rs1 : x15<br> - rd : x5<br> - rs1_val == 4294967263<br>                  |[0x800002a4]:sm3p0<br> [0x800002a8]:sw<br> |
|  29|[0x80002080]<br>0xffdfdfef|- rs1 : x26<br> - rd : x20<br> - rs1_val == 4294967279<br>                 |[0x800002b0]:sm3p0<br> [0x800002b4]:sw<br> |
|  30|[0x80002084]<br>0xffefeff7|- rs1 : x12<br> - rd : x13<br> - rs1_val == 4294967287<br>                 |[0x800002bc]:sm3p0<br> [0x800002c0]:sw<br> |
|  31|[0x80002088]<br>0xfff7f7fb|- rs1 : x19<br> - rd : x30<br> - rs1_val == 4294967291<br>                 |[0x800002c8]:sm3p0<br> [0x800002cc]:sw<br> |
|  32|[0x8000208c]<br>0xfffbfbfd|- rs1 : x13<br> - rd : x23<br> - rs1_val == 4294967293<br>                 |[0x800002d4]:sm3p0<br> [0x800002d8]:sw<br> |
|  33|[0x80002090]<br>0xfffdfdfe|- rs1_val == 4294967294<br>                                                |[0x800002e0]:sm3p0<br> [0x800002e4]:sw<br> |
|  34|[0x80002094]<br>0x80010100|- rs1_val == 2147483648<br>                                                |[0x800002ec]:sm3p0<br> [0x800002f0]:sw<br> |
|  35|[0x80002098]<br>0x40008080|- rs1_val == 1073741824<br>                                                |[0x800002f8]:sm3p0<br> [0x800002fc]:sw<br> |
|  36|[0x8000209c]<br>0x20004040|- rs1_val == 536870912<br>                                                 |[0x80000304]:sm3p0<br> [0x80000308]:sw<br> |
|  37|[0x800020a0]<br>0x10002020|- rs1_val == 268435456<br>                                                 |[0x80000310]:sm3p0<br> [0x80000314]:sw<br> |
|  38|[0x800020a4]<br>0x08001010|- rs1_val == 134217728<br>                                                 |[0x8000031c]:sm3p0<br> [0x80000320]:sw<br> |
|  39|[0x800020a8]<br>0x04000808|- rs1_val == 67108864<br>                                                  |[0x80000328]:sm3p0<br> [0x8000032c]:sw<br> |
|  40|[0x800020ac]<br>0x02000404|- rs1_val == 33554432<br>                                                  |[0x80000334]:sm3p0<br> [0x80000338]:sw<br> |
|  41|[0x800020b0]<br>0x01000202|- rs1_val == 16777216<br>                                                  |[0x80000340]:sm3p0<br> [0x80000344]:sw<br> |
|  42|[0x800020b4]<br>0x00800101|- rs1_val == 8388608<br>                                                   |[0x8000034c]:sm3p0<br> [0x80000350]:sw<br> |
|  43|[0x800020b8]<br>0x80400080|- rs1_val == 4194304<br>                                                   |[0x80000358]:sm3p0<br> [0x8000035c]:sw<br> |
|  44|[0x800020bc]<br>0x40200040|- rs1_val == 2097152<br>                                                   |[0x80000364]:sm3p0<br> [0x80000368]:sw<br> |
|  45|[0x800020c0]<br>0x20100020|- rs1_val == 1048576<br>                                                   |[0x80000370]:sm3p0<br> [0x80000374]:sw<br> |
|  46|[0x800020c4]<br>0x10080010|- rs1_val == 524288<br>                                                    |[0x8000037c]:sm3p0<br> [0x80000380]:sw<br> |
|  47|[0x800020c8]<br>0x08040008|- rs1_val == 262144<br>                                                    |[0x80000388]:sm3p0<br> [0x8000038c]:sw<br> |
|  48|[0x800020cc]<br>0x04020004|- rs1_val == 131072<br>                                                    |[0x80000394]:sm3p0<br> [0x80000398]:sw<br> |
|  49|[0x800020d0]<br>0x02010002|- rs1_val == 65536<br>                                                     |[0x800003a0]:sm3p0<br> [0x800003a4]:sw<br> |
|  50|[0x800020d4]<br>0x01008001|- rs1_val == 32768<br>                                                     |[0x800003ac]:sm3p0<br> [0x800003b0]:sw<br> |
|  51|[0x800020d8]<br>0x80804000|- rs1_val == 16384<br>                                                     |[0x800003b8]:sm3p0<br> [0x800003bc]:sw<br> |
|  52|[0x800020dc]<br>0x40402000|- rs1_val == 8192<br>                                                      |[0x800003c4]:sm3p0<br> [0x800003c8]:sw<br> |
|  53|[0x800020e0]<br>0x20201000|- rs1_val == 4096<br>                                                      |[0x800003d0]:sm3p0<br> [0x800003d4]:sw<br> |
|  54|[0x800020e4]<br>0x00020201|- rs1_val == 1<br>                                                         |[0x800003dc]:sm3p0<br> [0x800003e0]:sw<br> |
|  55|[0x800020e8]<br>0x5b6f7339|- rs1_val == 0x3150e5fa #nosat<br>                                         |[0x800003ec]:sm3p0<br> [0x800003f0]:sw<br> |
|  56|[0x800020ec]<br>0x23c8dcdb|- rs1_val == 0x90efb625 #nosat<br>                                         |[0x800003fc]:sm3p0<br> [0x80000400]:sw<br> |
|  57|[0x800020f0]<br>0xfcbea038|- rs1_val == 0x65408c73 #nosat<br>                                         |[0x8000040c]:sm3p0<br> [0x80000410]:sw<br> |
|  58|[0x800020f4]<br>0xb177387c|- rs1_val == 0x1fc493ca #nosat<br>                                         |[0x8000041c]:sm3p0<br> [0x80000420]:sw<br> |
|  59|[0x800020f8]<br>0x45dff089|- rs1_val == 0xd169a3f8 #nosat<br>                                         |[0x8000042c]:sm3p0<br> [0x80000430]:sw<br> |
|  60|[0x800020fc]<br>0x8b23e56b|- rs1_val == 0x8e2eac2a #nosat<br>                                         |[0x8000043c]:sm3p0<br> [0x80000440]:sw<br> |
|  61|[0x80002100]<br>0x74cae568|- rs1_val == 0xf4c30307 #nosat<br>                                         |[0x8000044c]:sm3p0<br> [0x80000450]:sw<br> |
|  62|[0x80002104]<br>0xa969a2e6|- rs1_val == 0x35f9377f #nosat<br>                                         |[0x8000045c]:sm3p0<br> [0x80000460]:sw<br> |
|  63|[0x80002108]<br>0x3781309b|- rs1_val == 0xa0569d76 #nosat<br>                                         |[0x8000046c]:sm3p0<br> [0x80000470]:sw<br> |
|  64|[0x8000210c]<br>0x6310adb1|- rs1_val == 0x58d548aa #nosat<br>                                         |[0x8000047c]:sm3p0<br> [0x80000480]:sw<br> |
|  65|[0x80002110]<br>0x47144fc3|- rs1_val == 0x2daf9ac7 #nosat<br>                                         |[0x8000048c]:sm3p0<br> [0x80000490]:sw<br> |
|  66|[0x80002114]<br>0xfe1dfb76|- rs1_val == 0x55d98c6e #nosat<br>                                         |[0x8000049c]:sm3p0<br> [0x800004a0]:sw<br> |
|  67|[0x80002118]<br>0x7d82c94f|- rs1_val == 0xf273b44c #nosat<br>                                         |[0x800004ac]:sm3p0<br> [0x800004b0]:sw<br> |
|  68|[0x8000211c]<br>0xb80b391f|- rs1_val == 0x74b8de87 #nosat<br>                                         |[0x800004bc]:sm3p0<br> [0x800004c0]:sw<br> |
|  69|[0x80002120]<br>0x24794bf8|- rs1_val == 0x886c3a30 #nosat<br>                                         |[0x800004cc]:sm3p0<br> [0x800004d0]:sw<br> |
|  70|[0x80002124]<br>0x189fa409|- rs1_val == 0xccce240c #nosat<br>                                         |[0x800004dc]:sm3p0<br> [0x800004e0]:sw<br> |
|  71|[0x80002128]<br>0x2ba94478|- rs1_val == 0xbb61a9cd #nosat<br>                                         |[0x800004ec]:sm3p0<br> [0x800004f0]:sw<br> |
|  72|[0x8000212c]<br>0x8a22538c|- rs1_val == 0xb49c83dc #nosat<br>                                         |[0x800004fc]:sm3p0<br> [0x80000500]:sw<br> |
|  73|[0x80002130]<br>0x4dbf5d4e|- rs1_val == 0xc5521660 #nosat<br>                                         |[0x8000050c]:sm3p0<br> [0x80000510]:sw<br> |
|  74|[0x80002134]<br>0x10100800|- rs1_val == 2048<br>                                                      |[0x8000051c]:sm3p0<br> [0x80000520]:sw<br> |
|  75|[0x80002138]<br>0x08080400|- rs1_val == 1024<br>                                                      |[0x80000528]:sm3p0<br> [0x8000052c]:sw<br> |
|  76|[0x8000213c]<br>0x04040200|- rs1_val == 512<br>                                                       |[0x80000534]:sm3p0<br> [0x80000538]:sw<br> |
|  77|[0x80002140]<br>0x02020100|- rs1_val == 256<br>                                                       |[0x80000540]:sm3p0<br> [0x80000544]:sw<br> |
|  78|[0x80002144]<br>0x01010080|- rs1_val == 128<br>                                                       |[0x8000054c]:sm3p0<br> [0x80000550]:sw<br> |
|  79|[0x80002148]<br>0x00808040|- rs1_val == 64<br>                                                        |[0x80000558]:sm3p0<br> [0x8000055c]:sw<br> |
|  80|[0x8000214c]<br>0x00404020|- rs1_val == 32<br>                                                        |[0x80000564]:sm3p0<br> [0x80000568]:sw<br> |
|  81|[0x80002150]<br>0x00202010|- rs1_val == 16<br>                                                        |[0x80000570]:sm3p0<br> [0x80000574]:sw<br> |
|  82|[0x80002154]<br>0x00101008|- rs1_val == 8<br>                                                         |[0x8000057c]:sm3p0<br> [0x80000580]:sw<br> |
|  83|[0x80002158]<br>0x00080804|- rs1_val == 4<br>                                                         |[0x80000588]:sm3p0<br> [0x8000058c]:sw<br> |
|  84|[0x8000215c]<br>0x00040402|- rs1_val == 2<br>                                                         |[0x80000594]:sm3p0<br> [0x80000598]:sw<br> |
|  85|[0x80002160]<br>0x9945f84c|- rs1_val == 0x254a9493 #nosat<br>                                         |[0x800005a4]:sm3p0<br> [0x800005a8]:sw<br> |
